Search documentation of wx

# wxStyledTextCtrl (wx v2.5.2)

View Source

A wxWidgets implementation of the Scintilla source code editing component.

As well as features found in standard text editing components, Scintilla includes features especially useful when editing and debugging source code. These include support for syntax styling, error indicators, code completion and call tips.

The selection margin can contain markers like those used in debuggers to indicate breakpoints and the current line. Styling choices are more open than with many editors, allowing the use of proportional fonts, bold and italics, multiple foreground and background colours and multiple fonts.

`wxStyledTextCtrl` is a 1 to 1 mapping of "raw" scintilla interface, whose documentation can be found in the Scintilla website (http://www.scintilla.org/).

Please see `wxStyledTextEvent` for the documentation of all event types you can use with `wxStyledTextCtrl`.

This class is derived, and can use functions, from:

- `wxControl`

- `wxWindow`

- `wxEvtHandler`

wxWidgets docs: wxStyledTextCtrl

# Summary

## Types

wxStyledTextCtrl()

## Functions

addText(This, Text)

Add text to the document at current position.

addTextRaw(This, Text)

Equivalent to `addTextRaw(This, Text, [])`.

addTextRaw/3

Add text to the document at current position.

allocate(This, Bytes)

Enlarge the document to a particular size of text bytes.

appendText(This, Text)

Append a string to the end of the document without changing the selection.

appendTextRaw(This, Text)

Equivalent to `appendTextRaw(This, Text, [])`.

appendTextRaw/3

Append a string to the end of the document without changing the selection.

autoCompActive(This)

Is there an auto-completion list visible?

autoCompCancel(This)

Remove the auto-completion list from the screen.

autoCompComplete(This)

User has selected an item so remove the list and insert the selection.

autoCompGetAutoHide(This)

Retrieve whether or not autocompletion is hidden automatically when nothing matches.

autoCompGetCancelAtStart(This)

Retrieve whether auto-completion cancelled by backspacing before start.

autoCompGetChooseSingle(This)

Retrieve whether a single item auto-completion list automatically choose the item.

autoCompGetCurrent(This)

Get currently selected item position in the auto-completion list.

autoCompGetDropRestOfWord(This)

Retrieve whether or not autocompletion deletes any word characters after the inserted text upon completion.

autoCompGetIgnoreCase(This)

Retrieve state of ignore case flag.

autoCompGetMaxHeight(This)

Set the maximum height, in rows, of auto-completion and user lists.

autoCompGetMaxWidth(This)

Get the maximum width, in characters, of auto-completion and user lists.

autoCompGetSeparator(This)

Retrieve the auto-completion list separator character.

autoCompGetTypeSeparator(This)

Retrieve the auto-completion list type-separator character.

autoCompPosStart(This)

Retrieve the position of the caret when the auto-completion list was displayed.

autoCompSelect(This, Select)

Select the item in the auto-completion list that starts with a string.

autoCompSetAutoHide(This, AutoHide)

Set whether or not autocompletion is hidden automatically when nothing matches.

autoCompSetCancelAtStart(This, Cancel)

Should the auto-completion list be cancelled if the user backspaces to a position before where the box was created.

autoCompSetChooseSingle(This, ChooseSingle)

Should a single item auto-completion list automatically choose the item.

autoCompSetDropRestOfWord(This, DropRestOfWord)

Set whether or not autocompletion deletes any word characters after the inserted text upon completion.

autoCompSetFillUps(This, CharacterSet)

Define a set of characters that when typed will cause the autocompletion to choose the selected item.

autoCompSetIgnoreCase(This, IgnoreCase)

Set whether case is significant when performing auto-completion searches.

autoCompSetMaxHeight(This, RowCount)

Set the maximum height, in rows, of auto-completion and user lists.

autoCompSetMaxWidth(This, CharacterCount)

Set the maximum width, in characters, of auto-completion and user lists.

autoCompSetSeparator(This, SeparatorCharacter)

Change the separator character in the string setting up an auto-completion list.

autoCompSetTypeSeparator(This, SeparatorCharacter)

Change the type-separator character in the string setting up an auto-completion list.

autoCompShow(This, LengthEntered, ItemList)

Display a auto-completion list.

autoCompStops(This, CharacterSet)

Define a set of character that when typed cancel the auto-completion list.

backTab(This)

Dedent the selected lines.

beginUndoAction(This)

Start a sequence of actions that is undone and redone as a unit.

braceBadLight(This, Pos)

Highlight the character at a position indicating there is no matching brace.

braceHighlight(This, PosA, PosB)

Highlight the characters at two positions.

braceMatch(This, Pos)

Find the position of a matching brace or wxSTC_INVALID_POSITION if no match.

callTipActive(This)

Is there an active call tip?

callTipCancel(This)

Remove the call tip from the screen.

callTipPosAtStart(This)

Retrieve the position where the caret was before displaying the call tip.

callTipSetBackground(This, Back)

Set the background colour for the call tip.

callTipSetForeground(This, Fore)

Set the foreground colour for the call tip.

callTipSetForegroundHighlight(This, Fore)

Set the foreground colour for the highlighted part of the call tip.

callTipSetHighlight(This, HighlightStart, HighlightEnd)

Highlight a segment of the definition.

callTipShow(This, Pos, Definition)

Show a call tip containing a definition near position pos.

callTipUseStyle(This, TabSize)

Enable use of wxSTC_STYLE_CALLTIP and set call tip tab size in pixels.

cancel(This)

Cancel any modes such as call tip or auto-completion list display.

canPaste(This)

Will a paste succeed?

canRedo(This)

Are there any redoable actions in the undo history?

canUndo(This)

Are there any undoable actions in the undo history?

charLeft(This)

Move caret left one character.

charLeftExtend(This)

Move caret left one character extending selection to new caret position.

charLeftRectExtend(This)

Move caret left one character, extending rectangular selection to new caret position.

charRight(This)

Move caret right one character.

charRightExtend(This)

Move caret right one character extending selection to new caret position.

charRightRectExtend(This)

Move caret right one character, extending rectangular selection to new caret position.

chooseCaretX(This)

Set the last x chosen value to be the caret x position.

clear(This)

Clear the selection.

clearAll(This)

Delete all text in the document.

clearDocumentStyle(This)

Set all style bytes to 0, remove all folding information.

clearRegisteredImages(This)

Clear all the registered images.

cmdKeyAssign(This, Key, Modifiers, Cmd)

When key+modifier combination keyDefinition is pressed perform sciCommand.

cmdKeyClear(This, Key, Modifiers)

When key+modifier combination keyDefinition is pressed do nothing.

cmdKeyClearAll(This)

Drop all key mappings.

cmdKeyExecute(This, Cmd)

Perform one of the operations defined by the wxSTCCMD* constants.

colourise(This, Start, End)

Colourise a segment of the document using the current lexing language.

convertEOLs(This, EolMode)

Convert all line endings in the document to one mode.

copy(This)

Copy the selection to the clipboard.

copyRange(This, Start, End)

Copy a range of text to the clipboard.

copyText(This, Length, Text)

Copy argument text to the clipboard.

create(This, Parent)

Equivalent to `create(This, Parent, [])`.

create/3

Create the UI elements for a STC that was created with the default ctor.

cut(This)

Cut the selection to the clipboard.

deleteBack(This)

Delete the selection or if no selection, the character before the caret.

deleteBackNotLine(This)

Delete the selection or if no selection, the character before the caret.

delLineLeft(This)

Delete back from the current position to the start of the line.

delLineRight(This)

Delete forwards from the current position to the end of the line.

delWordLeft(This)

Delete the word to the left of the caret.

delWordRight(This)

Delete the word to the right of the caret.

destroy(This)

Destroys the object

docLineFromVisible(This, DisplayLine)

Find the document line of a display line taking hidden lines into account.

documentEnd(This)

Move caret to last position in document.

documentEndExtend(This)

Move caret to last position in document extending selection to new caret position.

documentStart(This)

Move caret to first position in document.

documentStartExtend(This)

Move caret to first position in document extending selection to new caret position.

doDragOver(This, X, Y, DefaultRes)

Allow for simulating a DnD DragOver.

doDropText(This, X, Y, Data)

Allow for simulating a DnD DropText.

editToggleOvertype(This)

Switch from insert to overtype mode or the reverse.

emptyUndoBuffer(This)

Delete the undo history.

endUndoAction(This)

End a sequence of actions that is undone and redone as a unit.

ensureCaretVisible(This)

Ensure the caret is visible.

ensureVisible(This, Line)

Ensure a particular line is visible by expanding any header line hiding it.

ensureVisibleEnforcePolicy(This, Line)

Ensure a particular line is visible by expanding any header line hiding it.

findColumn(This, Line, Column)

Find the position of a column on a line taking into account tabs and multi-byte characters.

findText(This, MinPos, MaxPos, Text)

Equivalent to `findText(This, MinPos, MaxPos, Text, [])`.

findText/5

`Find some text in the document. @param minPos The position (starting from zero) in the document at which to begin the search @param maxPos The last position (starting from zero) in the document to which the search will be restricted. @param text The text to search for. @param flags (Optional) The search flags. This should be a bit list containing one or more of the @link wxStyledTextCtrl::wxSTC_FIND_WHOLEWORD wxSTC_FIND_* @endlink constants.`

formatRange(This, DoDraw, StartPos, EndPos, Draw, Target, RenderRect, PageRect)

On Windows, will draw the document into a display context such as a printer.

formFeed(This)

Insert a Form Feed character.

getAnchor(This)

Returns the position of the opposite end of the selection to the caret.

getBackSpaceUnIndents(This)

Does a backspace pressed when caret is within indentation unindent?

getBufferedDraw(This)

Is drawing done first into a buffer or direct to the screen?

getCaretForeground(This)

Get the foreground colour of the caret.

getCaretLineBackAlpha(This)

Get the background alpha of the caret line.

getCaretLineBackground(This)

Get the colour of the background of the line containing the caret.

getCaretLineVisible(This)

Is the background of the line containing the caret in a different colour?

getCaretPeriod(This)

Get the time in milliseconds that the caret is on and off.

getCaretSticky(This)

Can the caret preferred x position only be changed by explicit movement commands?

getCaretWidth(This)

Returns the width of the insert mode caret.

getCharAt(This, Pos)

Returns the character byte at the position.

getCodePage(This)

Get the code page used to interpret the bytes of the document as characters.

getColumn(This, Pos)

Retrieve the column number of a position, taking tab width into account.

getControlCharSymbol(This)

Get the way control characters are displayed.

getCurLine(This)

Retrieve the text of the line containing the caret.

getCurLineRaw(This)

Retrieve the text of the line containing the caret.

getCurrentLine(This)

Returns the line number of the line with the caret.

getCurrentPos(This)

Returns the position of the caret.

getEdgeColour(This)

Retrieve the colour used in edge indication.

getEdgeColumn(This)

Retrieve the column number which text should be kept within.

getEdgeMode(This)

Retrieve the edge highlight mode.

getEndAtLastLine(This)

Retrieve whether the maximum scroll position has the last line at the bottom of the view.

getEndStyled(This)

Retrieve the position of the last correctly styled character.

getEOLMode(This)

Retrieve the current end of line mode - one of wxSTC_EOL_CRLF, wxSTC_EOL_CR, or wxSTC_EOL_LF.

getFirstVisibleLine(This)

Retrieve the display line at the top of the display.

getFoldExpanded(This, Line)

Is a header line expanded?

getFoldLevel(This, Line)

Retrieve the fold level of a line.

getFoldParent(This, Line)

Find the parent line of a child line.

getHighlightGuide(This)

Get the highlighted indentation guide column.

getIndent(This)

Retrieve indentation size.

getIndentationGuides(This)

Are the indentation guides visible?

getLastChild(This, Line, Level)

Find the last child line of a header line.

getLastKeydownProcessed(This)

Can be used to prevent the EVT_CHAR handler from adding the char.

getLayoutCache(This)

Retrieve the degree of caching of layout information.

getLength(This)

Returns the number of bytes in the document.

getLexer(This)

Retrieve the lexing language of the document.

getLine(This, Line)

Retrieve the contents of a line.

getLineCount(This)

Returns the number of lines in the document.

getLineEndPosition(This, Line)

Get the position after the last visible characters on a line.

getLineIndentation(This, Line)

Retrieve the number of columns that a line is indented.

getLineIndentPosition(This, Line)

Retrieve the position before the first non indentation character on a line.

getLineRaw(This, Line)

Retrieve the contents of a line.

getLineState(This, Line)

Retrieve the extra styling information for a line.

getLineVisible(This, Line)

Is a line visible?

getMarginLeft(This)

Returns the size in pixels of the left margin.

getMarginMask(This, Margin)

Retrieve the marker mask of a margin.

getMarginRight(This)

Returns the size in pixels of the right margin.

getMarginSensitive(This, Margin)

Retrieve the mouse click sensitivity of a margin.

getMarginType(This, Margin)

Retrieve the type of a margin.

getMarginWidth(This, Margin)

Retrieve the width of a margin in pixels.

getMaxLineState(This)

Retrieve the last line number that has line state.

getModEventMask(This)

Get which document modification events are sent to the container.

getModify(This)

Is the document different from when it was last saved?

getMouseDownCaptures(This)

Get whether mouse gets captured.

getMouseDwellTime(This)

Retrieve the time the mouse must sit still to generate a mouse dwell event.

getOvertype(This)

Returns true if overtype mode is active otherwise false is returned.

getPasteConvertEndings(This)

Get convert-on-paste setting.

getPrintColourMode(This)

Returns the print colour mode.

getPrintMagnification(This)

Returns the print magnification.

getPrintWrapMode(This)

Is printing line wrapped?

getProperty(This, Key)

Retrieve a "property" value previously set with SetProperty.

getReadOnly(This)

In read-only mode?

getScrollWidth(This)

Retrieve the document width assumed for scrolling.

getSearchFlags(This)

Get the search flags used by SearchInTarget.

getSelAlpha(This)

Get the alpha of the selection.

getSelectedText(This)

Retrieve the selected text.

getSelectedTextRaw(This)

Retrieve the selected text.

getSelection(This)

Gets the current selection span.

getSelectionEnd(This)

Returns the position at the end of the selection.

getSelectionMode(This)

Get the mode of the current selection.

getSelectionStart(This)

Returns the position at the start of the selection.

getSTCCursor(This)

Get cursor type.

getSTCFocus(This)

Get internal focus flag.

getStatus(This)

Get error status.

getStyleAt(This, Pos)

Returns the style byte at the position.

getStyleBits(This)

Retrieve number of bits in style bytes used to hold the lexical state.

getStyleBitsNeeded(This)

Retrieve the number of bits the current lexer needs for styling.

getTabIndents(This)

Does a tab pressed when caret is within indentation indent?

getTabWidth(This)

Retrieve the visible size of a tab.

getTargetEnd(This)

Get the position that ends the target.

getTargetStart(This)

Get the position that starts the target.

getText(This)

Retrieve all the text in the document.

getTextLength(This)

Retrieve the number of characters in the document.

getTextRange(This, StartPos, EndPos)

Retrieve a range of text.

getTextRangeRaw(This, StartPos, EndPos)

Retrieve a range of text.

getTextRaw(This)

Retrieve all the text in the document.

getTwoPhaseDraw(This)

Is drawing done in two phases with backgrounds drawn before foregrounds?

getUndoCollection(This)

Is undo history being collected?

getUseAntiAliasing(This)

Returns the current UseAntiAliasing setting.

getUseHorizontalScrollBar(This)

Is the horizontal scroll bar visible?

getUseTabs(This)

Retrieve whether tabs will be used in indentation.

getUseVerticalScrollBar(This)

Is the vertical scroll bar visible?

getViewEOL(This)

Are the end of line characters visible?

getViewWhiteSpace(This)

Are white space characters currently visible? Returns one of wxSTCWS* constants.

getWrapMode(This)

Retrieve whether text is word wrapped.

getWrapStartIndent(This)

Retrieve the start indent for wrapped lines.

getWrapVisualFlags(This)

Retrieve the display mode of visual flags for wrapped lines.

getWrapVisualFlagsLocation(This)

Retrieve the location of visual flags for wrapped lines.

getXOffset(This)

Get the xOffset (ie, horizontal scroll position).

getZoom(This)

Retrieve the zoom level.

gotoLine(This, Line)

Set caret to start of a line and ensure it is visible.

gotoPos(This, Caret)

Set caret to a position and ensure it is visible.

hideLines(This, LineStart, LineEnd)

Make a range of lines invisible.

hideSelection(This, Hide)

Draw the selection in normal style or with selection highlighted.

home(This)

Move caret to first position on line.

homeDisplay(This)

Move caret to first position on display line.

homeDisplayExtend(This)

Move caret to first position on display line extending selection to new caret position.

homeExtend(This)

Move caret to first position on line extending selection to new caret position.

homeRectExtend(This)

Move caret to first position on line, extending rectangular selection to new caret position.

homeWrapExtend(This)

Like HomeExtend but when word-wrap is enabled extends first to start of display line HomeDisplayExtend, then to start of document line HomeExtend.

indicatorGetForeground(This, Indicator)

Retrieve the foreground colour of an indicator.

indicatorGetStyle(This, Indicator)

Retrieve the style of an indicator.

indicatorSetForeground(This, Indicator, Fore)

Set the foreground colour of an indicator.

indicatorSetStyle(This, Indicator, IndicatorStyle)

Set an indicator to plain, squiggle or TT.

insertText(This, Pos, Text)

Insert string at a position.

insertTextRaw(This, Pos, Text)

Insert string at a position.

lineCopy(This)

Copy the line containing the caret.

lineCut(This)

Cut the line containing the caret.

lineDelete(This)

Delete the line containing the caret.

lineDown(This)

Move caret down one line.

lineDownExtend(This)

Move caret down one line extending selection to new caret position.

lineDownRectExtend(This)

Move caret down one line, extending rectangular selection to new caret position.

lineDuplicate(This)

Duplicate the current line.

lineEnd(This)

Move caret to last position on line.

lineEndDisplay(This)

Move caret to last position on display line.

lineEndDisplayExtend(This)

Move caret to last position on display line extending selection to new caret position.

lineEndExtend(This)

Move caret to last position on line extending selection to new caret position.

lineEndRectExtend(This)

Move caret to last position on line, extending rectangular selection to new caret position.

lineEndWrap(This)

Like LineEnd but when word-wrap is enabled goes first to end of display line LineEndDisplay, then to start of document line LineEnd.

lineEndWrapExtend(This)

Like LineEndExtend but when word-wrap is enabled extends first to end of display line LineEndDisplayExtend, then to start of document line LineEndExtend.

lineFromPosition(This, Pos)

Retrieve the line containing a position.

lineLength(This, Line)

How many characters are on a line, including end of line characters?

lineScroll(This, Columns, Lines)

Scroll horizontally and vertically.

lineScrollDown(This)

Scroll the document down, keeping the caret visible.

lineScrollUp(This)

Scroll the document up, keeping the caret visible.

linesJoin(This)

Join the lines in the target.

linesOnScreen(This)

Retrieves the number of lines completely visible.

linesSplit(This, PixelWidth)

Split the lines in the target into lines that are less wide than pixelWidth where possible.

lineTranspose(This)

Switch the current line with the previous.

lineUp(This)

Move caret up one line.

lineUpExtend(This)

Move caret up one line extending selection to new caret position.

lineUpRectExtend(This)

Move caret up one line, extending rectangular selection to new caret position.

loadFile(This, Filename)

Load the contents of filename into the editor.

lowerCase(This)

Transform the selection to lower case.

markerAdd(This, Line, MarkerNumber)

Add a marker to a line, returning an ID which can be used to find or delete the marker.

markerAddSet(This, Line, MarkerSet)

Add a set of markers to a line.

markerDefine(This, MarkerNumber, MarkerSymbol)

Equivalent to `markerDefine(This, MarkerNumber, MarkerSymbol, [])`.

markerDefine/4

Set the symbol used for a particular marker number, and optionally the fore and background colours.

markerDefineBitmap(This, MarkerNumber, Bmp)

Define a marker with a `wxBitmap`.

markerDelete(This, Line, MarkerNumber)

Delete a marker from a line.

markerDeleteAll(This, MarkerNumber)

Delete all markers with a particular number from all lines.

markerDeleteHandle(This, MarkerHandle)

Delete a marker.

markerGet(This, Line)

Get a bit mask of all the markers set on a line.

markerLineFromHandle(This, MarkerHandle)

Retrieve the line number at which a particular marker is located.

markerNext(This, LineStart, MarkerMask)

Find the next line at or after lineStart that includes a marker in mask.

markerPrevious(This, LineStart, MarkerMask)

Find the previous line before lineStart that includes a marker in mask.

markerSetAlpha(This, MarkerNumber, Alpha)

Set the alpha used for a marker that is drawn in the text area, not the margin.

markerSetBackground(This, MarkerNumber, Back)

Set the background colour used for a particular marker number.

markerSetForeground(This, MarkerNumber, Fore)

Set the foreground colour used for a particular marker number.

moveCaretInsideView(This)

Move the caret inside current view if it's not there already.

new()

Default ctor.

new(Parent)

Equivalent to `new(Parent, [])`.

new/2

Ctor.

newLine(This)

Insert a new line, may use a CRLF, CR or LF depending on EOL mode.

pageDown(This)

Move caret one page down.

pageDownExtend(This)

Move caret one page down extending selection to new caret position.

pageDownRectExtend(This)

Move caret one page down, extending rectangular selection to new caret position.

pageUp(This)

Move caret one page up.

pageUpExtend(This)

Move caret one page up extending selection to new caret position.

pageUpRectExtend(This)

Move caret one page up, extending rectangular selection to new caret position.

paraDownExtend(This)

Extend selection down one paragraph (delimited by empty lines).

paraUp(This)

Move caret up one paragraph (delimited by empty lines).

paraUpExtend(This)

Extend selection up one paragraph (delimited by empty lines).

paste(This)

Paste the contents of the clipboard into the document replacing the selection.

pointFromPosition(This, Pos)

Retrieve the point in the window where a position is displayed.

positionAfter(This, Pos)

Given a valid document position, return the next position taking code page into account.

positionBefore(This, Pos)

Given a valid document position, return the previous position taking code page into account.

positionFromLine(This, Line)

Retrieve the position at the start of a line.

positionFromPoint(This, Pt)

Find the position from a point within the window.

positionFromPointClose(This, X, Y)

Find the position from a point within the window but return wxSTC_INVALID_POSITION if not close to text.

redo(This)

Redoes the next action on the undo history.

registerImage(This, Type, Bmp)

Register an image for use in autocompletion lists.

replaceSelection(This, Text)

Replace the selected text with the argument text.

replaceTarget(This, Text)

Replace the target text with the argument text.

saveFile(This, Filename)

Write the contents of the editor to filename.

scrollToColumn(This, Column)

Scroll enough to make the given column visible.

scrollToLine(This, Line)

Scroll enough to make the given line visible.

searchAnchor(This)

Sets the current caret position to be the search anchor.

searchInTarget(This, Text)

Search for a counted string in the target and set the target to the found range.

searchNext(This, SearchFlags, Text)

Find some text starting at the search anchor.

searchPrev(This, SearchFlags, Text)

Find some text starting at the search anchor and moving backwards.

selectAll(This)

Select all the text in the document.

selectionDuplicate(This)

Duplicate the selection.

selectionIsRectangle(This)

Is the selection rectangular? The alternative is the more common stream selection.

setAnchor(This, Anchor)

Set the selection anchor to a position.

setBackSpaceUnIndents(This, BsUnIndents)

Sets whether a backspace pressed when caret is within indentation unindents.

setBufferedDraw(This, Buffered)

If drawing is buffered then each line of text is drawn into a bitmap buffer before drawing it to the screen to avoid flicker.

setCaretForeground(This, Fore)

Set the foreground colour of the caret.

setCaretLineBackAlpha(This, Alpha)

Set background alpha of the caret line.

setCaretLineBackground(This, Back)

Set the colour of the background of the line containing the caret.

setCaretLineVisible(This, Show)

Display the background of the line containing the caret in a different colour.

setCaretPeriod(This, PeriodMilliseconds)

Get the time in milliseconds that the caret is on and off.

setCaretSticky(This, UseCaretStickyBehaviour)

Stop the caret preferred x position changing when the user types.

setCaretWidth(This, PixelWidth)

Set the width of the insert mode caret.

setCharsDefault(This)

Reset the set of characters for whitespace and word characters to the defaults.

setCodePage(This, CodePage)

Set the code page used to interpret the bytes of the document as characters.

setControlCharSymbol(This, Symbol)

Change the way control characters are displayed: If symbol is *< 32, keep the drawn way, else, use the given character.

setCurrentPos(This, Caret)

Sets the position of the caret.

setEdgeColour(This, EdgeColour)

Change the colour used in edge indication.

setEdgeColumn(This, Column)

Set the column number of the edge.

setEdgeMode(This, EdgeMode)

The edge may be displayed by a line (wxSTC_EDGE_LINE/wxSTC_EDGE_MULTILINE) or by highlighting text that goes beyond it (wxSTC_EDGE_BACKGROUND) or not displayed at all (wxSTC_EDGE_NONE).

setEOLMode(This, EolMode)

Set the current end of line mode.

setFoldExpanded(This, Line, Expanded)

Show the children of a header line.

setFoldFlags(This, Flags)

Set some style options for folding.

setFoldLevel(This, Line, Level)

Set the fold level of a line.

setFoldMarginColour(This, UseSetting, Back)

Set one of the colours used as a chequerboard pattern in the fold margin.

setFoldMarginHiColour(This, UseSetting, Fore)

Set the other colour used as a chequerboard pattern in the fold margin.

setHighlightGuide(This, Column)

Set the highlighted indentation guide column.

setHotspotActiveBackground(This, UseSetting, Back)

Set a back colour for active hotspots.

setHotspotActiveForeground(This, UseSetting, Fore)

Set a fore colour for active hotspots.

setHotspotActiveUnderline(This, Underline)

Enable / Disable underlining active hotspots.

setHotspotSingleLine(This, SingleLine)

Limit hotspots to single line so hotspots on two lines don't merge.

setHScrollBar(This, Bar)

Set the horizontal scrollbar to use instead of the one that's built-in.

setIndent(This, IndentSize)

Set the number of spaces used for one level of indentation.

setIndentationGuides(This, IndentView)

Show or hide indentation guides.

setKeyWords(This, KeyWordSet, KeyWords)

Set up the key words used by the lexer.

setLastKeydownProcessed(This, Val)

Returns the line number of the line with the caret.

setLayoutCache(This, CacheMode)

Sets the degree of caching of layout information.

setLexer(This, Lexer)

Set the lexing language of the document.

setLexerLanguage(This, Language)

Set the lexing language of the document based on string name.

setLineIndentation(This, Line, Indentation)

Change the indentation of a line to a number of columns.

setLineState(This, Line, State)

Used to hold extra styling information for each line.

setMarginLeft(This, PixelWidth)

Sets the size in pixels of the left margin.

setMarginMask(This, Margin, Mask)

Set a mask that determines which markers are displayed in a margin.

setMarginRight(This, PixelWidth)

Sets the size in pixels of the right margin.

setMarginSensitive(This, Margin, Sensitive)

Make a margin sensitive or insensitive to mouse clicks.

setMargins(This, Left, Right)

Set the left and right margin in the edit area, measured in pixels.

setMarginType(This, Margin, MarginType)

Set a margin to be either numeric or symbolic.

setMarginWidth(This, Margin, PixelWidth)

Set the width of a margin to a width expressed in pixels.

setModEventMask(This, EventMask)

Set which document modification events are sent to the container.

setMouseDownCaptures(This, Captures)

Set whether the mouse is captured when its button is pressed.

setMouseDwellTime(This, PeriodMilliseconds)

Sets the time the mouse must sit still to generate a mouse dwell event.

setPasteConvertEndings(This, Convert)

Enable/Disable convert-on-paste for line endings.

setPrintColourMode(This, Mode)

Modify colours when printing for clearer printed text.

setPrintMagnification(This, Magnification)

Sets the print magnification added to the point size of each style for printing.

setProperty(This, Key, Value)

Set up a value that may be used by a lexer for some optional feature.

setReadOnly(This, ReadOnly)

Set to read only or read write.

setSavePoint(This)

Remember the current position in the undo history as the position at which the document was saved.

setScrollWidth(This, PixelWidth)

Sets the document width assumed for scrolling.

setSearchFlags(This, SearchFlags)

Set the search flags used by SearchInTarget.

setSelAlpha(This, Alpha)

Set the alpha of the selection.

setSelBackground(This, UseSetting, Back)

Set the background colour of the main and additional selections and whether to use this setting.

setSelection(This, From, To)

Selects the text starting at the first position up to (but not including) the character at the last position.

setSelectionEnd(This, Caret)

Sets the position that ends the selection - this becomes the caret.

setSelectionMode(This, SelectionMode)

Set the selection mode to stream (wxSTC_SEL_STREAM) or rectangular (wxSTC_SEL_RECTANGLE/wxSTC_SEL_THIN) or by lines (wxSTC_SEL_LINES).

setSelectionStart(This, Anchor)

Sets the position that starts the selection - this becomes the anchor.

setSelForeground(This, UseSetting, Fore)

Set the foreground colour of the main and additional selections and whether to use this setting.

setSTCCursor(This, CursorType)

Sets the cursor to one of the wxSTC_CURSOR* values.

setSTCFocus(This, Focus)

Change internal focus flag.

setStatus(This, Status)

Change error status - 0 = OK.

setStyleBytes(This, Length)

Set the styles for a segment of the document.

setStyling(This, Length, Style)

Change style from current styling position for length characters to a style and move the current styling position to after this newly styled segment.

setTabIndents(This, TabIndents)

Sets whether a tab pressed when caret is within indentation indents.

setTabWidth(This, TabWidth)

Change the visible size of a tab to be a multiple of the width of a space character.

setTargetEnd(This, End)

Sets the position that ends the target which is used for updating the document without affecting the scroll position.

setTargetStart(This, Start)

Sets the position that starts the target which is used for updating the document without affecting the scroll position.

setText(This, Text)

Replace the contents of the document with the argument text.

setTextRaw(This, Text)

Replace the contents of the document with the argument text.

setTwoPhaseDraw(This, TwoPhase)

In twoPhaseDraw mode, drawing is performed in two phases, first the background and then the foreground.

setUndoCollection(This, CollectUndo)

Choose between collecting actions into the undo history and discarding them.

setUseHorizontalScrollBar(This, Visible)

Show or hide the horizontal scroll bar.

setUseTabs(This, UseTabs)

Indentation will only use space characters if useTabs is false, otherwise it will use a combination of tabs and spaces.

setUseVerticalScrollBar(This, Visible)

Show or hide the vertical scroll bar.

setViewEOL(This, Visible)

Make the end of line characters visible or invisible.

setViewWhiteSpace(This, ViewWS)

Make white space characters invisible, always visible or visible outside indentation.

setVisiblePolicy(This, VisiblePolicy, VisibleSlop)

Set the way the display area is determined when a particular line is to be moved to by Find, FindNext, GotoLine, etc.

setVScrollBar(This, Bar)

Set the vertical scrollbar to use instead of the one that's built-in.

setWhitespaceBackground(This, UseSetting, Back)

Set the background colour of all whitespace and whether to use this setting.

setWhitespaceChars(This, Characters)

Set the set of characters making up whitespace for when moving or selecting by word.

setWhitespaceForeground(This, UseSetting, Fore)

Set the foreground colour of all whitespace and whether to use this setting.

setWordChars(This, Characters)

Set the set of characters making up words for when moving or selecting by word.

setWrapMode(This, WrapMode)

Sets whether text is word wrapped.

setWrapStartIndent(This, Indent)

Set the start indent for wrapped lines.

setWrapVisualFlags(This, WrapVisualFlags)

Set the display mode of visual flags for wrapped lines.

setWrapVisualFlagsLocation(This, WrapVisualFlagsLocation)

Set the location of visual flags for wrapped lines.

setXCaretPolicy(This, CaretPolicy, CaretSlop)

Set the way the caret is kept visible when going sideways.

setYCaretPolicy(This, CaretPolicy, CaretSlop)

Set the way the line the caret is on is kept visible.

setZoom(This, ZoomInPoints)

Set the zoom level.

showLines(This, LineStart, LineEnd)

Make a range of lines visible.

startRecord(This)

Start notifying the container of all key presses and commands.

startStyling(This, Start)

Set the current styling position to start.

stopRecord(This)

Stop notifying the container of all key presses and commands.

stutteredPageDown(This)

Move caret to bottom of page, or one page down if already at bottom of page.

stutteredPageDownExtend(This)

Move caret to bottom of page, or one page down if already at bottom of page, extending selection to new caret position.

stutteredPageUp(This)

Move caret to top of page, or one page up if already at top of page.

stutteredPageUpExtend(This)

Move caret to top of page, or one page up if already at top of page, extending selection to new caret position.

styleClearAll(This)

Clear all the styles and make equivalent to the global default style.

styleResetDefault(This)

Reset the default style to its state at startup.

styleSetBackground(This, Style, Back)

Set the background colour of a style.

styleSetBold(This, Style, Bold)

Set a style to be bold or not.

styleSetCase(This, Style, CaseVisible)

Set a style to be mixed case, or to force upper or lower case.

styleSetCharacterSet(This, Style, CharacterSet)

Set the character set of the font in a style.

styleSetEOLFilled(This, Style, EolFilled)

Set a style to have its end of line filled or not.

styleSetFaceName(This, Style, FontName)

Set the font of a style.

styleSetFont(This, StyleNum, Font)

Set style size, face, bold, italic, and underline attributes from a `wxFont`'s attributes.

styleSetFontAttr(This, StyleNum, Size, FaceName, Bold, Italic, Underline)

Equivalent to `styleSetFontAttr(This, StyleNum, Size, FaceName, Bold, Italic, Underline, [])`.

styleSetFontAttr/8

Set all font style attributes at once.

styleSetFontEncoding(This, Style, Encoding)

Set the font encoding to be used by a style.

styleSetForeground(This, Style, Fore)

Set the foreground colour of a style.

styleSetHotSpot(This, Style, Hotspot)

Set a style to be a hotspot or not.

styleSetItalic(This, Style, Italic)

Set a style to be italic or not.

styleSetSize(This, Style, SizePoints)

Set the size of characters of a style.

styleSetSpec(This, StyleNum, Spec)

Extract style settings from a spec-string which is composed of one or more of the following comma separated elements

styleSetUnderline(This, Style, Underline)

Set a style to be underlined or not.

styleSetVisible(This, Style, Visible)

Set a style to be visible or not.

tab(This)

If selection is empty or all on one line replace the selection with a tab character.

targetFromSelection(This)

Make the target range start and end be the same as the selection range start and end.

textHeight(This, Line)

Retrieve the height of a particular line of text in pixels.

textWidth(This, Style, Text)

Measure the pixel width of some text in a particular style.

toggleCaretSticky(This)

Switch between sticky and non-sticky: meant to be bound to a key.

toggleFold(This, Line)

Switch a header line between expanded and contracted.

undo(This)

Undo one action in the undo history.

upperCase(This)

Transform the selection to upper case.

usePopUp(This, PopUpMode)

Set whether a pop up menu is displayed automatically when the user presses the wrong mouse button on certain areas.

userListShow(This, ListType, ItemList)

Display a list of strings and send notification when user chooses one.

vCHome(This)

Move caret to before first visible character on line.

vCHomeExtend(This)

Like VCHome but extending selection to new caret position.

vCHomeRectExtend(This)

Move caret to before first visible character on line.

vCHomeWrap(This)

Like VCHome but when word-wrap is enabled goes first to start of display line VCHomeDisplay, then behaves like VCHome.

vCHomeWrapExtend(This)

Like VCHomeExtend but when word-wrap is enabled extends first to start of display line VCHomeDisplayExtend, then behaves like VCHomeExtend.

visibleFromDocLine(This, DocLine)

Find the display line of a document line taking hidden lines into account.

wordEndPosition(This, Pos, OnlyWordCharacters)

Get position of end of word.

wordLeft(This)

Move caret left one word.

wordLeftEnd(This)

Move caret left one word, position cursor at end of word.

wordLeftEndExtend(This)

Move caret left one word, position cursor at end of word, extending selection to new caret position.

wordLeftExtend(This)

Move caret left one word extending selection to new caret position.

wordPartLeft(This)

Move to the previous change in capitalisation.

wordPartLeftExtend(This)

Move to the previous change in capitalisation extending selection to new caret position.

wordPartRight(This)

Move to the change next in capitalisation.

wordPartRightExtend(This)

Move to the next change in capitalisation extending selection to new caret position.

wordRight(This)

Move caret right one word.

wordRightEnd(This)

Move caret right one word, position cursor at end of word.

wordRightEndExtend(This)

Move caret right one word, position cursor at end of word, extending selection to new caret position.

wordRightExtend(This)

Move caret right one word extending selection to new caret position.

wordStartPosition(This, Pos, OnlyWordCharacters)

Get position of start of word.

wrapCount(This, DocLine)

The number of display lines needed to wrap a document line.

zoomIn(This)

Magnify the displayed text by increasing the sizes by 1 point.

zoomOut(This)

Make the displayed text smaller by decreasing the sizes by 1 point.

# Types

# wxStyledTextCtrl()

    -type wxStyledTextCtrl() :: wx:wx_object().

# Functions

# addText(This, Text)

    -spec addText(This, Text) -> ok when This :: wxStyledTextCtrl(), Text :: unicode:chardata().

Add text to the document at current position.

# addTextRaw(This, Text)

    -spec addTextRaw(This, Text) -> ok when This :: wxStyledTextCtrl(), Text :: binary().

Equivalent to `addTextRaw(This, Text, [])`.

# addTextRaw/3

    -spec addTextRaw(This, Text, [Option]) -> ok
                        when This :: wxStyledTextCtrl(), Text :: binary(), Option :: {length, integer()}.

Add text to the document at current position.

# allocate(This, Bytes)

    -spec allocate(This, Bytes) -> ok when This :: wxStyledTextCtrl(), Bytes :: integer().

Enlarge the document to a particular size of text bytes.

# appendText(This, Text)

    -spec appendText(This, Text) -> ok when This :: wxStyledTextCtrl(), Text :: unicode:chardata().

Append a string to the end of the document without changing the selection.

# appendTextRaw(This, Text)

    -spec appendTextRaw(This, Text) -> ok when This :: wxStyledTextCtrl(), Text :: binary().

Equivalent to `appendTextRaw(This, Text, [])`.

# appendTextRaw/3

    -spec appendTextRaw(This, Text, [Option]) -> ok
                           when This :: wxStyledTextCtrl(), Text :: binary(), Option :: {length, integer()}.

Append a string to the end of the document without changing the selection.

# autoCompActive(This)

    -spec autoCompActive(This) -> boolean() when This :: wxStyledTextCtrl().

Is there an auto-completion list visible?

# autoCompCancel(This)

    -spec autoCompCancel(This) -> ok when This :: wxStyledTextCtrl().

Remove the auto-completion list from the screen.

# autoCompComplete(This)

    -spec autoCompComplete(This) -> ok when This :: wxStyledTextCtrl().

User has selected an item so remove the list and insert the selection.

# autoCompGetAutoHide(This)

    -spec autoCompGetAutoHide(This) -> boolean() when This :: wxStyledTextCtrl().

Retrieve whether or not autocompletion is hidden automatically when nothing matches.

# autoCompGetCancelAtStart(This)

    -spec autoCompGetCancelAtStart(This) -> boolean() when This :: wxStyledTextCtrl().

Retrieve whether auto-completion cancelled by backspacing before start.

# autoCompGetChooseSingle(This)

    -spec autoCompGetChooseSingle(This) -> boolean() when This :: wxStyledTextCtrl().

Retrieve whether a single item auto-completion list automatically choose the item.

# autoCompGetCurrent(This)

    -spec autoCompGetCurrent(This) -> integer() when This :: wxStyledTextCtrl().

Get currently selected item position in the auto-completion list.

# autoCompGetDropRestOfWord(This)

    -spec autoCompGetDropRestOfWord(This) -> boolean() when This :: wxStyledTextCtrl().

Retrieve whether or not autocompletion deletes any word characters after the inserted text upon completion.

# autoCompGetIgnoreCase(This)

    -spec autoCompGetIgnoreCase(This) -> boolean() when This :: wxStyledTextCtrl().

Retrieve state of ignore case flag.

# autoCompGetMaxHeight(This)

    -spec autoCompGetMaxHeight(This) -> integer() when This :: wxStyledTextCtrl().

Set the maximum height, in rows, of auto-completion and user lists.

# autoCompGetMaxWidth(This)

    -spec autoCompGetMaxWidth(This) -> integer() when This :: wxStyledTextCtrl().

Get the maximum width, in characters, of auto-completion and user lists.

# autoCompGetSeparator(This)

    -spec autoCompGetSeparator(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the auto-completion list separator character.

# autoCompGetTypeSeparator(This)

    -spec autoCompGetTypeSeparator(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the auto-completion list type-separator character.

# autoCompPosStart(This)

    -spec autoCompPosStart(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the position of the caret when the auto-completion list was displayed.

# autoCompSelect(This, Select)

    -spec autoCompSelect(This, Select) -> ok when This :: wxStyledTextCtrl(), Select :: unicode:chardata().

Select the item in the auto-completion list that starts with a string.

# autoCompSetAutoHide(This, AutoHide)

    -spec autoCompSetAutoHide(This, AutoHide) -> ok when This :: wxStyledTextCtrl(), AutoHide :: boolean().

Set whether or not autocompletion is hidden automatically when nothing matches.

# autoCompSetCancelAtStart(This, Cancel)

    -spec autoCompSetCancelAtStart(This, Cancel) -> ok when This :: wxStyledTextCtrl(), Cancel :: boolean().

Should the auto-completion list be cancelled if the user backspaces to a position before where the box was created.

# autoCompSetChooseSingle(This, ChooseSingle)

    -spec autoCompSetChooseSingle(This, ChooseSingle) -> ok
                                     when This :: wxStyledTextCtrl(), ChooseSingle :: boolean().

Should a single item auto-completion list automatically choose the item.

# autoCompSetDropRestOfWord(This, DropRestOfWord)

    -spec autoCompSetDropRestOfWord(This, DropRestOfWord) -> ok
                                       when This :: wxStyledTextCtrl(), DropRestOfWord :: boolean().

Set whether or not autocompletion deletes any word characters after the inserted text upon completion.

# autoCompSetFillUps(This, CharacterSet)

    -spec autoCompSetFillUps(This, CharacterSet) -> ok
                                when This :: wxStyledTextCtrl(), CharacterSet :: unicode:chardata().

Define a set of characters that when typed will cause the autocompletion to choose the selected item.

# autoCompSetIgnoreCase(This, IgnoreCase)

    -spec autoCompSetIgnoreCase(This, IgnoreCase) -> ok
                                   when This :: wxStyledTextCtrl(), IgnoreCase :: boolean().

Set whether case is significant when performing auto-completion searches.

# autoCompSetMaxHeight(This, RowCount)

    -spec autoCompSetMaxHeight(This, RowCount) -> ok when This :: wxStyledTextCtrl(), RowCount :: integer().

Set the maximum height, in rows, of auto-completion and user lists.

The default is 5 rows.

# autoCompSetMaxWidth(This, CharacterCount)

    -spec autoCompSetMaxWidth(This, CharacterCount) -> ok
                                 when This :: wxStyledTextCtrl(), CharacterCount :: integer().

Set the maximum width, in characters, of auto-completion and user lists.

Set to 0 to autosize to fit longest item, which is the default.

# autoCompSetSeparator(This, SeparatorCharacter)

    -spec autoCompSetSeparator(This, SeparatorCharacter) -> ok
                                  when This :: wxStyledTextCtrl(), SeparatorCharacter :: integer().

Change the separator character in the string setting up an auto-completion list.

Default is space but can be changed if items contain space.

# autoCompSetTypeSeparator(This, SeparatorCharacter)

    -spec autoCompSetTypeSeparator(This, SeparatorCharacter) -> ok
                                      when This :: wxStyledTextCtrl(), SeparatorCharacter :: integer().

Change the type-separator character in the string setting up an auto-completion list.

Default is '?' but can be changed if items contain '?'.

# autoCompShow(This, LengthEntered, ItemList)

    -spec autoCompShow(This, LengthEntered, ItemList) -> ok
                          when
                              This :: wxStyledTextCtrl(),
                              LengthEntered :: integer(),
                              ItemList :: unicode:chardata().

Display a auto-completion list.

The lengthEntered parameter indicates how many characters before the caret should be used to provide context.

# autoCompStops(This, CharacterSet)

    -spec autoCompStops(This, CharacterSet) -> ok
                           when This :: wxStyledTextCtrl(), CharacterSet :: unicode:chardata().

Define a set of character that when typed cancel the auto-completion list.

# backTab(This)

    -spec backTab(This) -> ok when This :: wxStyledTextCtrl().

Dedent the selected lines.

# beginUndoAction(This)

    -spec beginUndoAction(This) -> ok when This :: wxStyledTextCtrl().

Start a sequence of actions that is undone and redone as a unit.

May be nested.

# braceBadLight(This, Pos)

    -spec braceBadLight(This, Pos) -> ok when This :: wxStyledTextCtrl(), Pos :: integer().

Highlight the character at a position indicating there is no matching brace.

# braceHighlight(This, PosA, PosB)

    -spec braceHighlight(This, PosA, PosB) -> ok
                            when This :: wxStyledTextCtrl(), PosA :: integer(), PosB :: integer().

Highlight the characters at two positions.

# braceMatch(This, Pos)

    -spec braceMatch(This, Pos) -> integer() when This :: wxStyledTextCtrl(), Pos :: integer().

Find the position of a matching brace or wxSTC_INVALID_POSITION if no match.

# callTipActive(This)

    -spec callTipActive(This) -> boolean() when This :: wxStyledTextCtrl().

Is there an active call tip?

# callTipCancel(This)

    -spec callTipCancel(This) -> ok when This :: wxStyledTextCtrl().

Remove the call tip from the screen.

# callTipPosAtStart(This)

    -spec callTipPosAtStart(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the position where the caret was before displaying the call tip.

Since: 3.1.0

# callTipSetBackground(This, Back)

    -spec callTipSetBackground(This, Back) -> ok when This :: wxStyledTextCtrl(), Back :: wx:wx_colour().

Set the background colour for the call tip.

# callTipSetForeground(This, Fore)

    -spec callTipSetForeground(This, Fore) -> ok when This :: wxStyledTextCtrl(), Fore :: wx:wx_colour().

Set the foreground colour for the call tip.

# callTipSetForegroundHighlight(This, Fore)

    -spec callTipSetForegroundHighlight(This, Fore) -> ok
                                           when This :: wxStyledTextCtrl(), Fore :: wx:wx_colour().

Set the foreground colour for the highlighted part of the call tip.

# callTipSetHighlight(This, HighlightStart, HighlightEnd)

    -spec callTipSetHighlight(This, HighlightStart, HighlightEnd) -> ok
                                 when
                                     This :: wxStyledTextCtrl(),
                                     HighlightStart :: integer(),
                                     HighlightEnd :: integer().

Highlight a segment of the definition.

# callTipShow(This, Pos, Definition)

    -spec callTipShow(This, Pos, Definition) -> ok
                         when This :: wxStyledTextCtrl(), Pos :: integer(), Definition :: unicode:chardata().

Show a call tip containing a definition near position pos.

# callTipUseStyle(This, TabSize)

    -spec callTipUseStyle(This, TabSize) -> ok when This :: wxStyledTextCtrl(), TabSize :: integer().

Enable use of wxSTC_STYLE_CALLTIP and set call tip tab size in pixels.

# cancel(This)

    -spec cancel(This) -> ok when This :: wxStyledTextCtrl().

Cancel any modes such as call tip or auto-completion list display.

# canPaste(This)

    -spec canPaste(This) -> boolean() when This :: wxStyledTextCtrl().

Will a paste succeed?

# canRedo(This)

    -spec canRedo(This) -> boolean() when This :: wxStyledTextCtrl().

Are there any redoable actions in the undo history?

# canUndo(This)

    -spec canUndo(This) -> boolean() when This :: wxStyledTextCtrl().

Are there any undoable actions in the undo history?

# charLeft(This)

    -spec charLeft(This) -> ok when This :: wxStyledTextCtrl().

Move caret left one character.

# charLeftExtend(This)

    -spec charLeftExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret left one character extending selection to new caret position.

# charLeftRectExtend(This)

    -spec charLeftRectExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret left one character, extending rectangular selection to new caret position.

# charRight(This)

    -spec charRight(This) -> ok when This :: wxStyledTextCtrl().

Move caret right one character.

# charRightExtend(This)

    -spec charRightExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret right one character extending selection to new caret position.

# charRightRectExtend(This)

    -spec charRightRectExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret right one character, extending rectangular selection to new caret position.

# chooseCaretX(This)

    -spec chooseCaretX(This) -> ok when This :: wxStyledTextCtrl().

Set the last x chosen value to be the caret x position.

# clear(This)

    -spec clear(This) -> ok when This :: wxStyledTextCtrl().

Clear the selection.

# clearAll(This)

    -spec clearAll(This) -> ok when This :: wxStyledTextCtrl().

Delete all text in the document.

# clearDocumentStyle(This)

    -spec clearDocumentStyle(This) -> ok when This :: wxStyledTextCtrl().

Set all style bytes to 0, remove all folding information.

# clearRegisteredImages(This)

    -spec clearRegisteredImages(This) -> ok when This :: wxStyledTextCtrl().

Clear all the registered images.

# cmdKeyAssign(This, Key, Modifiers, Cmd)

    -spec cmdKeyAssign(This, Key, Modifiers, Cmd) -> ok
                          when
                              This :: wxStyledTextCtrl(),
                              Key :: integer(),
                              Modifiers :: integer(),
                              Cmd :: integer().

When key+modifier combination keyDefinition is pressed perform sciCommand.

The second argument should be a bit list containing one or more of the ?wxSTC_KEYMOD_* constants and the third argument should be one of the ?wxSTC_CMD_* constants.

# cmdKeyClear(This, Key, Modifiers)

    -spec cmdKeyClear(This, Key, Modifiers) -> ok
                         when This :: wxStyledTextCtrl(), Key :: integer(), Modifiers :: integer().

When key+modifier combination keyDefinition is pressed do nothing.

The second argument should be a bit list containing one or more of the ?wxSTC_KEYMOD_* constants.

# cmdKeyClearAll(This)

    -spec cmdKeyClearAll(This) -> ok when This :: wxStyledTextCtrl().

Drop all key mappings.

# cmdKeyExecute(This, Cmd)

    -spec cmdKeyExecute(This, Cmd) -> ok when This :: wxStyledTextCtrl(), Cmd :: integer().

Perform one of the operations defined by the wxSTCCMD* constants.

# colourise(This, Start, End)

    -spec colourise(This, Start, End) -> ok
                       when This :: wxStyledTextCtrl(), Start :: integer(), End :: integer().

Colourise a segment of the document using the current lexing language.

# convertEOLs(This, EolMode)

    -spec convertEOLs(This, EolMode) -> ok when This :: wxStyledTextCtrl(), EolMode :: integer().

Convert all line endings in the document to one mode.

# copy(This)

    -spec copy(This) -> ok when This :: wxStyledTextCtrl().

Copy the selection to the clipboard.

# copyRange(This, Start, End)

    -spec copyRange(This, Start, End) -> ok
                       when This :: wxStyledTextCtrl(), Start :: integer(), End :: integer().

Copy a range of text to the clipboard.

Positions are clipped into the document.

# copyText(This, Length, Text)

    -spec copyText(This, Length, Text) -> ok
                      when This :: wxStyledTextCtrl(), Length :: integer(), Text :: unicode:chardata().

Copy argument text to the clipboard.

# create(This, Parent)

    -spec create(This, Parent) -> boolean() when This :: wxStyledTextCtrl(), Parent :: wxWindow:wxWindow().

Equivalent to `create(This, Parent, [])`.

# create/3

    -spec create(This, Parent, [Option]) -> boolean()
                    when
                        This :: wxStyledTextCtrl(),
                        Parent :: wxWindow:wxWindow(),
                        Option ::
                            {id, integer()} |
                            {pos, {X :: integer(), Y :: integer()}} |
                            {size, {W :: integer(), H :: integer()}} |
                            {style, integer()}.

Create the UI elements for a STC that was created with the default ctor.

(For 2-phase create.)

# cut(This)

    -spec cut(This) -> ok when This :: wxStyledTextCtrl().

Cut the selection to the clipboard.

# deleteBack(This)

    -spec deleteBack(This) -> ok when This :: wxStyledTextCtrl().

Delete the selection or if no selection, the character before the caret.

# deleteBackNotLine(This)

    -spec deleteBackNotLine(This) -> ok when This :: wxStyledTextCtrl().

Delete the selection or if no selection, the character before the caret.

Will not delete the character before at the start of a line.

# delLineLeft(This)

    -spec delLineLeft(This) -> ok when This :: wxStyledTextCtrl().

Delete back from the current position to the start of the line.

# delLineRight(This)

    -spec delLineRight(This) -> ok when This :: wxStyledTextCtrl().

Delete forwards from the current position to the end of the line.

# delWordLeft(This)

    -spec delWordLeft(This) -> ok when This :: wxStyledTextCtrl().

Delete the word to the left of the caret.

# delWordRight(This)

    -spec delWordRight(This) -> ok when This :: wxStyledTextCtrl().

Delete the word to the right of the caret.

# destroy(This)

    -spec destroy(This :: wxStyledTextCtrl()) -> ok.

Destroys the object

# docLineFromVisible(This, DisplayLine)

    -spec docLineFromVisible(This, DisplayLine) -> integer()
                                when This :: wxStyledTextCtrl(), DisplayLine :: integer().

Find the document line of a display line taking hidden lines into account.

# documentEnd(This)

    -spec documentEnd(This) -> ok when This :: wxStyledTextCtrl().

Move caret to last position in document.

# documentEndExtend(This)

    -spec documentEndExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret to last position in document extending selection to new caret position.

# documentStart(This)

    -spec documentStart(This) -> ok when This :: wxStyledTextCtrl().

Move caret to first position in document.

# documentStartExtend(This)

    -spec documentStartExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret to first position in document extending selection to new caret position.

# doDragOver(This, X, Y, DefaultRes)

    -spec doDragOver(This, X, Y, DefaultRes) -> wx:wx_enum()
                        when
                            This :: wxStyledTextCtrl(),
                            X :: integer(),
                            Y :: integer(),
                            DefaultRes :: wx:wx_enum().

Allow for simulating a DnD DragOver.

# doDropText(This, X, Y, Data)

    -spec doDropText(This, X, Y, Data) -> boolean()
                        when
                            This :: wxStyledTextCtrl(),
                            X :: integer(),
                            Y :: integer(),
                            Data :: unicode:chardata().

Allow for simulating a DnD DropText.

# editToggleOvertype(This)

    -spec editToggleOvertype(This) -> ok when This :: wxStyledTextCtrl().

Switch from insert to overtype mode or the reverse.

# emptyUndoBuffer(This)

    -spec emptyUndoBuffer(This) -> ok when This :: wxStyledTextCtrl().

Delete the undo history.

# endUndoAction(This)

    -spec endUndoAction(This) -> ok when This :: wxStyledTextCtrl().

End a sequence of actions that is undone and redone as a unit.

# ensureCaretVisible(This)

    -spec ensureCaretVisible(This) -> ok when This :: wxStyledTextCtrl().

Ensure the caret is visible.

# ensureVisible(This, Line)

    -spec ensureVisible(This, Line) -> ok when This :: wxStyledTextCtrl(), Line :: integer().

Ensure a particular line is visible by expanding any header line hiding it.

# ensureVisibleEnforcePolicy(This, Line)

    -spec ensureVisibleEnforcePolicy(This, Line) -> ok when This :: wxStyledTextCtrl(), Line :: integer().

Ensure a particular line is visible by expanding any header line hiding it.

Use the currently set visibility policy to determine which range to display.

# findColumn(This, Line, Column)

    -spec findColumn(This, Line, Column) -> integer()
                        when This :: wxStyledTextCtrl(), Line :: integer(), Column :: integer().

Find the position of a column on a line taking into account tabs and multi-byte characters.

If beyond end of line, return line end position.

# findText(This, MinPos, MaxPos, Text)

    -spec findText(This, MinPos, MaxPos, Text) -> integer()
                      when
                          This :: wxStyledTextCtrl(),
                          MinPos :: integer(),
                          MaxPos :: integer(),
                          Text :: unicode:chardata().

Equivalent to `findText(This, MinPos, MaxPos, Text, [])`.

# findText/5

    -spec findText(This, MinPos, MaxPos, Text, [Option]) -> integer()
                      when
                          This :: wxStyledTextCtrl(),
                          MinPos :: integer(),
                          MaxPos :: integer(),
                          Text :: unicode:chardata(),
                          Option :: {flags, integer()}.

`Find some text in the document. @param minPos The position (starting from zero) in the document at which to begin the search @param maxPos The last position (starting from zero) in the document to which the search will be restricted. @param text The text to search for. @param flags (Optional) The search flags. This should be a bit list containing one or more of the @link wxStyledTextCtrl::wxSTC_FIND_WHOLEWORD wxSTC_FIND_* @endlink constants.`

Return: The position (starting from zero) in the document at which the text was found or wxSTC_INVALID_POSITION if the search fails.

Remark: A backwards search can be performed by setting minPos to be greater than maxPos.

# formatRange(This, DoDraw, StartPos, EndPos, Draw, Target, RenderRect, PageRect)

    -spec formatRange(This, DoDraw, StartPos, EndPos, Draw, Target, RenderRect, PageRect) -> integer()
                         when
                             This :: wxStyledTextCtrl(),
                             DoDraw :: boolean(),
                             StartPos :: integer(),
                             EndPos :: integer(),
                             Draw :: wxDC:wxDC(),
                             Target :: wxDC:wxDC(),
                             RenderRect :: {X :: integer(), Y :: integer(), W :: integer(), H :: integer()},
                             PageRect :: {X :: integer(), Y :: integer(), W :: integer(), H :: integer()}.

On Windows, will draw the document into a display context such as a printer.

# formFeed(This)

    -spec formFeed(This) -> ok when This :: wxStyledTextCtrl().

Insert a Form Feed character.

# getAnchor(This)

    -spec getAnchor(This) -> integer() when This :: wxStyledTextCtrl().

Returns the position of the opposite end of the selection to the caret.

# getBackSpaceUnIndents(This)

    -spec getBackSpaceUnIndents(This) -> boolean() when This :: wxStyledTextCtrl().

Does a backspace pressed when caret is within indentation unindent?

# getBufferedDraw(This)

    -spec getBufferedDraw(This) -> boolean() when This :: wxStyledTextCtrl().

Is drawing done first into a buffer or direct to the screen?

# getCaretForeground(This)

    -spec getCaretForeground(This) -> wx:wx_colour4() when This :: wxStyledTextCtrl().

Get the foreground colour of the caret.

# getCaretLineBackAlpha(This)

    -spec getCaretLineBackAlpha(This) -> integer() when This :: wxStyledTextCtrl().

Get the background alpha of the caret line.

# getCaretLineBackground(This)

    -spec getCaretLineBackground(This) -> wx:wx_colour4() when This :: wxStyledTextCtrl().

Get the colour of the background of the line containing the caret.

# getCaretLineVisible(This)

    -spec getCaretLineVisible(This) -> boolean() when This :: wxStyledTextCtrl().

Is the background of the line containing the caret in a different colour?

# getCaretPeriod(This)

    -spec getCaretPeriod(This) -> integer() when This :: wxStyledTextCtrl().

Get the time in milliseconds that the caret is on and off.

# getCaretSticky(This)

    -spec getCaretSticky(This) -> integer() when This :: wxStyledTextCtrl().

Can the caret preferred x position only be changed by explicit movement commands?

The return value will be one of the ?wxSTC_CARETSTICKY_* constants.

# getCaretWidth(This)

    -spec getCaretWidth(This) -> integer() when This :: wxStyledTextCtrl().

Returns the width of the insert mode caret.

# getCharAt(This, Pos)

    -spec getCharAt(This, Pos) -> integer() when This :: wxStyledTextCtrl(), Pos :: integer().

Returns the character byte at the position.

# getCodePage(This)

    -spec getCodePage(This) -> integer() when This :: wxStyledTextCtrl().

Get the code page used to interpret the bytes of the document as characters.

# getColumn(This, Pos)

    -spec getColumn(This, Pos) -> integer() when This :: wxStyledTextCtrl(), Pos :: integer().

Retrieve the column number of a position, taking tab width into account.

# getControlCharSymbol(This)

    -spec getControlCharSymbol(This) -> integer() when This :: wxStyledTextCtrl().

Get the way control characters are displayed.

# getCurLine(This)

    -spec getCurLine(This) -> Result
                        when
                            Result :: {Res :: unicode:charlist(), LinePos :: integer()},
                            This :: wxStyledTextCtrl().

Retrieve the text of the line containing the caret.

linePos can optionally be passed in to receive the index of the caret on the line.

# getCurLineRaw(This)

    -spec getCurLineRaw(This) -> Result
                           when
                               Result :: {Res :: binary(), LinePos :: integer()}, This :: wxStyledTextCtrl().

Retrieve the text of the line containing the caret.

Returns the index of the caret on the line.

# getCurrentLine(This)

    -spec getCurrentLine(This) -> integer() when This :: wxStyledTextCtrl().

Returns the line number of the line with the caret.

# getCurrentPos(This)

    -spec getCurrentPos(This) -> integer() when This :: wxStyledTextCtrl().

Returns the position of the caret.

# getEdgeColour(This)

    -spec getEdgeColour(This) -> wx:wx_colour4() when This :: wxStyledTextCtrl().

Retrieve the colour used in edge indication.

# getEdgeColumn(This)

    -spec getEdgeColumn(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the column number which text should be kept within.

# getEdgeMode(This)

    -spec getEdgeMode(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the edge highlight mode.

The return value will be one of the ?wxSTC_EDGE_* constants.

# getEndAtLastLine(This)

    -spec getEndAtLastLine(This) -> boolean() when This :: wxStyledTextCtrl().

Retrieve whether the maximum scroll position has the last line at the bottom of the view.

# getEndStyled(This)

    -spec getEndStyled(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the position of the last correctly styled character.

# getEOLMode(This)

    -spec getEOLMode(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the current end of line mode - one of wxSTC_EOL_CRLF, wxSTC_EOL_CR, or wxSTC_EOL_LF.

# getFirstVisibleLine(This)

    -spec getFirstVisibleLine(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the display line at the top of the display.

# getFoldExpanded(This, Line)

    -spec getFoldExpanded(This, Line) -> boolean() when This :: wxStyledTextCtrl(), Line :: integer().

Is a header line expanded?

# getFoldLevel(This, Line)

    -spec getFoldLevel(This, Line) -> integer() when This :: wxStyledTextCtrl(), Line :: integer().

Retrieve the fold level of a line.

# getFoldParent(This, Line)

    -spec getFoldParent(This, Line) -> integer() when This :: wxStyledTextCtrl(), Line :: integer().

Find the parent line of a child line.

# getHighlightGuide(This)

    -spec getHighlightGuide(This) -> integer() when This :: wxStyledTextCtrl().

Get the highlighted indentation guide column.

# getIndent(This)

    -spec getIndent(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve indentation size.

# getIndentationGuides(This)

    -spec getIndentationGuides(This) -> integer() when This :: wxStyledTextCtrl().

Are the indentation guides visible?

The return value will be one of the ?wxSTC_IV_* constants.

# getLastChild(This, Line, Level)

    -spec getLastChild(This, Line, Level) -> integer()
                          when This :: wxStyledTextCtrl(), Line :: integer(), Level :: integer().

Find the last child line of a header line.

# getLastKeydownProcessed(This)

    -spec getLastKeydownProcessed(This) -> boolean() when This :: wxStyledTextCtrl().

Can be used to prevent the EVT_CHAR handler from adding the char.

# getLayoutCache(This)

    -spec getLayoutCache(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the degree of caching of layout information.

The return value will be one of the ?wxSTC_CACHE_* constants.

# getLength(This)

    -spec getLength(This) -> integer() when This :: wxStyledTextCtrl().

Returns the number of bytes in the document.

# getLexer(This)

    -spec getLexer(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the lexing language of the document.

The return value will be one of the ?wxSTC_LEX_* constants.

# getLine(This, Line)

    -spec getLine(This, Line) -> unicode:charlist() when This :: wxStyledTextCtrl(), Line :: integer().

Retrieve the contents of a line.

# getLineCount(This)

    -spec getLineCount(This) -> integer() when This :: wxStyledTextCtrl().

Returns the number of lines in the document.

There is always at least one.

# getLineEndPosition(This, Line)

    -spec getLineEndPosition(This, Line) -> integer() when This :: wxStyledTextCtrl(), Line :: integer().

Get the position after the last visible characters on a line.

# getLineIndentation(This, Line)

    -spec getLineIndentation(This, Line) -> integer() when This :: wxStyledTextCtrl(), Line :: integer().

Retrieve the number of columns that a line is indented.

# getLineIndentPosition(This, Line)

    -spec getLineIndentPosition(This, Line) -> integer() when This :: wxStyledTextCtrl(), Line :: integer().

Retrieve the position before the first non indentation character on a line.

# getLineRaw(This, Line)

    -spec getLineRaw(This, Line) -> binary() when This :: wxStyledTextCtrl(), Line :: integer().

Retrieve the contents of a line.

# getLineState(This, Line)

    -spec getLineState(This, Line) -> integer() when This :: wxStyledTextCtrl(), Line :: integer().

Retrieve the extra styling information for a line.

# getLineVisible(This, Line)

    -spec getLineVisible(This, Line) -> boolean() when This :: wxStyledTextCtrl(), Line :: integer().

Is a line visible?

# getMarginLeft(This)

    -spec getMarginLeft(This) -> integer() when This :: wxStyledTextCtrl().

Returns the size in pixels of the left margin.

# getMarginMask(This, Margin)

    -spec getMarginMask(This, Margin) -> integer() when This :: wxStyledTextCtrl(), Margin :: integer().

Retrieve the marker mask of a margin.

# getMarginRight(This)

    -spec getMarginRight(This) -> integer() when This :: wxStyledTextCtrl().

Returns the size in pixels of the right margin.

# getMarginSensitive(This, Margin)

    -spec getMarginSensitive(This, Margin) -> boolean() when This :: wxStyledTextCtrl(), Margin :: integer().

Retrieve the mouse click sensitivity of a margin.

# getMarginType(This, Margin)

    -spec getMarginType(This, Margin) -> integer() when This :: wxStyledTextCtrl(), Margin :: integer().

Retrieve the type of a margin.

The return value will be one of the ?wxSTC_MARGIN_* constants.

# getMarginWidth(This, Margin)

    -spec getMarginWidth(This, Margin) -> integer() when This :: wxStyledTextCtrl(), Margin :: integer().

Retrieve the width of a margin in pixels.

# getMaxLineState(This)

    -spec getMaxLineState(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the last line number that has line state.

# getModEventMask(This)

    -spec getModEventMask(This) -> integer() when This :: wxStyledTextCtrl().

Get which document modification events are sent to the container.

The return value will wxSTCMODEVENTMASKALL if all changes generate events. Otherwise it will be a bit list containing one or more of the ?wxSTC_MOD\* constants, the ?wxSTC_PERFORMED_* constants, wxSTC_STARTACTION, wxSTC_MULTILINEUNDOREDO, wxSTC_MULTISTEPUNDOREDO, and wxSTC_LASTSTEPINUNDOREDO.

# getModify(This)

    -spec getModify(This) -> boolean() when This :: wxStyledTextCtrl().

Is the document different from when it was last saved?

# getMouseDownCaptures(This)

    -spec getMouseDownCaptures(This) -> boolean() when This :: wxStyledTextCtrl().

Get whether mouse gets captured.

# getMouseDwellTime(This)

    -spec getMouseDwellTime(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the time the mouse must sit still to generate a mouse dwell event.

The return value will be a time in milliseconds or wxSTC_TIME_FOREVER.

# getOvertype(This)

    -spec getOvertype(This) -> boolean() when This :: wxStyledTextCtrl().

Returns true if overtype mode is active otherwise false is returned.

# getPasteConvertEndings(This)

    -spec getPasteConvertEndings(This) -> boolean() when This :: wxStyledTextCtrl().

Get convert-on-paste setting.

# getPrintColourMode(This)

    -spec getPrintColourMode(This) -> integer() when This :: wxStyledTextCtrl().

Returns the print colour mode.

The return value will be one of the ?wxSTC_PRINT_* constants.

# getPrintMagnification(This)

    -spec getPrintMagnification(This) -> integer() when This :: wxStyledTextCtrl().

Returns the print magnification.

# getPrintWrapMode(This)

    -spec getPrintWrapMode(This) -> integer() when This :: wxStyledTextCtrl().

Is printing line wrapped?

The return value will be one of the ?wxSTC_WRAP_* constants.

# getProperty(This, Key)

    -spec getProperty(This, Key) -> unicode:charlist()
                         when This :: wxStyledTextCtrl(), Key :: unicode:chardata().

Retrieve a "property" value previously set with SetProperty.

# getReadOnly(This)

    -spec getReadOnly(This) -> boolean() when This :: wxStyledTextCtrl().

In read-only mode?

# getScrollWidth(This)

    -spec getScrollWidth(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the document width assumed for scrolling.

# getSearchFlags(This)

    -spec getSearchFlags(This) -> integer() when This :: wxStyledTextCtrl().

Get the search flags used by SearchInTarget.

The return value will be a bit list containing one or more of the ?wxSTC_FIND_* constants.

# getSelAlpha(This)

    -spec getSelAlpha(This) -> integer() when This :: wxStyledTextCtrl().

Get the alpha of the selection.

# getSelectedText(This)

    -spec getSelectedText(This) -> unicode:charlist() when This :: wxStyledTextCtrl().

Retrieve the selected text.

# getSelectedTextRaw(This)

    -spec getSelectedTextRaw(This) -> binary() when This :: wxStyledTextCtrl().

Retrieve the selected text.

# getSelection(This)

    -spec getSelection(This) -> {From :: integer(), To :: integer()} when This :: wxStyledTextCtrl().

Gets the current selection span.

If the returned values are equal, there was no selection. Please note that the indices returned may be used with the other `wxTextCtrl` methods but don't necessarily represent the correct indices into the string returned by `wxComboBox:getValue/1` for multiline controls under Windows (at least,) you should use `wxTextCtrl:getStringSelection/1` to get the selected text.

# getSelectionEnd(This)

    -spec getSelectionEnd(This) -> integer() when This :: wxStyledTextCtrl().

Returns the position at the end of the selection.

# getSelectionMode(This)

    -spec getSelectionMode(This) -> integer() when This :: wxStyledTextCtrl().

Get the mode of the current selection.

The return value will be one of the ?wxSTC_SEL_* constants.

# getSelectionStart(This)

    -spec getSelectionStart(This) -> integer() when This :: wxStyledTextCtrl().

Returns the position at the start of the selection.

# getSTCCursor(This)

    -spec getSTCCursor(This) -> integer() when This :: wxStyledTextCtrl().

Get cursor type.

The return value will be one of the ?wxSTC_CURSOR* constants.

# getSTCFocus(This)

    -spec getSTCFocus(This) -> boolean() when This :: wxStyledTextCtrl().

Get internal focus flag.

# getStatus(This)

    -spec getStatus(This) -> integer() when This :: wxStyledTextCtrl().

Get error status.

The return value will be one of the ?wxSTC_STATUS_* constants.

# getStyleAt(This, Pos)

    -spec getStyleAt(This, Pos) -> integer() when This :: wxStyledTextCtrl(), Pos :: integer().

Returns the style byte at the position.

# getStyleBits(This)

    -spec getStyleBits(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve number of bits in style bytes used to hold the lexical state.

Deprecated:

# getStyleBitsNeeded(This)

    -spec getStyleBitsNeeded(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the number of bits the current lexer needs for styling.

Deprecated:

# getTabIndents(This)

    -spec getTabIndents(This) -> boolean() when This :: wxStyledTextCtrl().

Does a tab pressed when caret is within indentation indent?

# getTabWidth(This)

    -spec getTabWidth(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the visible size of a tab.

# getTargetEnd(This)

    -spec getTargetEnd(This) -> integer() when This :: wxStyledTextCtrl().

Get the position that ends the target.

# getTargetStart(This)

    -spec getTargetStart(This) -> integer() when This :: wxStyledTextCtrl().

Get the position that starts the target.

# getText(This)

    -spec getText(This) -> unicode:charlist() when This :: wxStyledTextCtrl().

Retrieve all the text in the document.

# getTextLength(This)

    -spec getTextLength(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the number of characters in the document.

# getTextRange(This, StartPos, EndPos)

    -spec getTextRange(This, StartPos, EndPos) -> unicode:charlist()
                          when This :: wxStyledTextCtrl(), StartPos :: integer(), EndPos :: integer().

Retrieve a range of text.

# getTextRangeRaw(This, StartPos, EndPos)

    -spec getTextRangeRaw(This, StartPos, EndPos) -> binary()
                             when This :: wxStyledTextCtrl(), StartPos :: integer(), EndPos :: integer().

Retrieve a range of text.

# getTextRaw(This)

    -spec getTextRaw(This) -> binary() when This :: wxStyledTextCtrl().

Retrieve all the text in the document.

# getTwoPhaseDraw(This)

    -spec getTwoPhaseDraw(This) -> boolean() when This :: wxStyledTextCtrl().

Is drawing done in two phases with backgrounds drawn before foregrounds?

# getUndoCollection(This)

    -spec getUndoCollection(This) -> boolean() when This :: wxStyledTextCtrl().

Is undo history being collected?

# getUseAntiAliasing(This)

    -spec getUseAntiAliasing(This) -> boolean() when This :: wxStyledTextCtrl().

Returns the current UseAntiAliasing setting.

# getUseHorizontalScrollBar(This)

    -spec getUseHorizontalScrollBar(This) -> boolean() when This :: wxStyledTextCtrl().

Is the horizontal scroll bar visible?

# getUseTabs(This)

    -spec getUseTabs(This) -> boolean() when This :: wxStyledTextCtrl().

Retrieve whether tabs will be used in indentation.

# getUseVerticalScrollBar(This)

    -spec getUseVerticalScrollBar(This) -> boolean() when This :: wxStyledTextCtrl().

Is the vertical scroll bar visible?

# getViewEOL(This)

    -spec getViewEOL(This) -> boolean() when This :: wxStyledTextCtrl().

Are the end of line characters visible?

# getViewWhiteSpace(This)

    -spec getViewWhiteSpace(This) -> integer() when This :: wxStyledTextCtrl().

Are white space characters currently visible? Returns one of wxSTCWS* constants.

# getWrapMode(This)

    -spec getWrapMode(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve whether text is word wrapped.

The return value will be one of the ?wxSTC_WRAP_* constants.

# getWrapStartIndent(This)

    -spec getWrapStartIndent(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the start indent for wrapped lines.

# getWrapVisualFlags(This)

    -spec getWrapVisualFlags(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the display mode of visual flags for wrapped lines.

The return value will be a bit list containing one or more of the ?wxSTC_WRAPVISUALFLAG_* constants.

# getWrapVisualFlagsLocation(This)

    -spec getWrapVisualFlagsLocation(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the location of visual flags for wrapped lines.

The return value will be a bit list containing one or more of the ?wxSTC_WRAPVISUALFLAGLOC_* constants.

# getXOffset(This)

    -spec getXOffset(This) -> integer() when This :: wxStyledTextCtrl().

Get the xOffset (ie, horizontal scroll position).

# getZoom(This)

    -spec getZoom(This) -> integer() when This :: wxStyledTextCtrl().

Retrieve the zoom level.

# gotoLine(This, Line)

    -spec gotoLine(This, Line) -> ok when This :: wxStyledTextCtrl(), Line :: integer().

Set caret to start of a line and ensure it is visible.

# gotoPos(This, Caret)

    -spec gotoPos(This, Caret) -> ok when This :: wxStyledTextCtrl(), Caret :: integer().

Set caret to a position and ensure it is visible.

# hideLines(This, LineStart, LineEnd)

    -spec hideLines(This, LineStart, LineEnd) -> ok
                       when This :: wxStyledTextCtrl(), LineStart :: integer(), LineEnd :: integer().

Make a range of lines invisible.

# hideSelection(This, Hide)

    -spec hideSelection(This, Hide) -> ok when This :: wxStyledTextCtrl(), Hide :: boolean().

Draw the selection in normal style or with selection highlighted.

# home(This)

    -spec home(This) -> ok when This :: wxStyledTextCtrl().

Move caret to first position on line.

# homeDisplay(This)

    -spec homeDisplay(This) -> ok when This :: wxStyledTextCtrl().

Move caret to first position on display line.

# homeDisplayExtend(This)

    -spec homeDisplayExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret to first position on display line extending selection to new caret position.

# homeExtend(This)

    -spec homeExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret to first position on line extending selection to new caret position.

# homeRectExtend(This)

    -spec homeRectExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret to first position on line, extending rectangular selection to new caret position.

# homeWrapExtend(This)

    -spec homeWrapExtend(This) -> ok when This :: wxStyledTextCtrl().

Like HomeExtend but when word-wrap is enabled extends first to start of display line HomeDisplayExtend, then to start of document line HomeExtend.

# indicatorGetForeground(This, Indicator)

    -spec indicatorGetForeground(This, Indicator) -> wx:wx_colour4()
                                    when This :: wxStyledTextCtrl(), Indicator :: integer().

Retrieve the foreground colour of an indicator.

# indicatorGetStyle(This, Indicator)

    -spec indicatorGetStyle(This, Indicator) -> integer()
                               when This :: wxStyledTextCtrl(), Indicator :: integer().

Retrieve the style of an indicator.

The return value will be one of the ?wxSTC_INDIC_* constants.

# indicatorSetForeground(This, Indicator, Fore)

    -spec indicatorSetForeground(This, Indicator, Fore) -> ok
                                    when
                                        This :: wxStyledTextCtrl(),
                                        Indicator :: integer(),
                                        Fore :: wx:wx_colour().

Set the foreground colour of an indicator.

# indicatorSetStyle(This, Indicator, IndicatorStyle)

    -spec indicatorSetStyle(This, Indicator, IndicatorStyle) -> ok
                               when
                                   This :: wxStyledTextCtrl(),
                                   Indicator :: integer(),
                                   IndicatorStyle :: integer().

Set an indicator to plain, squiggle or TT.

The second argument should be one of the ?wxSTC_INDIC_* constants.

# insertText(This, Pos, Text)

    -spec insertText(This, Pos, Text) -> ok
                        when This :: wxStyledTextCtrl(), Pos :: integer(), Text :: unicode:chardata().

Insert string at a position.

# insertTextRaw(This, Pos, Text)

    -spec insertTextRaw(This, Pos, Text) -> ok
                           when This :: wxStyledTextCtrl(), Pos :: integer(), Text :: binary().

Insert string at a position.

# lineCopy(This)

    -spec lineCopy(This) -> ok when This :: wxStyledTextCtrl().

Copy the line containing the caret.

# lineCut(This)

    -spec lineCut(This) -> ok when This :: wxStyledTextCtrl().

Cut the line containing the caret.

# lineDelete(This)

    -spec lineDelete(This) -> ok when This :: wxStyledTextCtrl().

Delete the line containing the caret.

# lineDown(This)

    -spec lineDown(This) -> ok when This :: wxStyledTextCtrl().

Move caret down one line.

# lineDownExtend(This)

    -spec lineDownExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret down one line extending selection to new caret position.

# lineDownRectExtend(This)

    -spec lineDownRectExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret down one line, extending rectangular selection to new caret position.

# lineDuplicate(This)

    -spec lineDuplicate(This) -> ok when This :: wxStyledTextCtrl().

Duplicate the current line.

# lineEnd(This)

    -spec lineEnd(This) -> ok when This :: wxStyledTextCtrl().

Move caret to last position on line.

# lineEndDisplay(This)

    -spec lineEndDisplay(This) -> ok when This :: wxStyledTextCtrl().

Move caret to last position on display line.

# lineEndDisplayExtend(This)

    -spec lineEndDisplayExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret to last position on display line extending selection to new caret position.

# lineEndExtend(This)

    -spec lineEndExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret to last position on line extending selection to new caret position.

# lineEndRectExtend(This)

    -spec lineEndRectExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret to last position on line, extending rectangular selection to new caret position.

# lineEndWrap(This)

    -spec lineEndWrap(This) -> ok when This :: wxStyledTextCtrl().

Like LineEnd but when word-wrap is enabled goes first to end of display line LineEndDisplay, then to start of document line LineEnd.

# lineEndWrapExtend(This)

    -spec lineEndWrapExtend(This) -> ok when This :: wxStyledTextCtrl().

Like LineEndExtend but when word-wrap is enabled extends first to end of display line LineEndDisplayExtend, then to start of document line LineEndExtend.

# lineFromPosition(This, Pos)

    -spec lineFromPosition(This, Pos) -> integer() when This :: wxStyledTextCtrl(), Pos :: integer().

Retrieve the line containing a position.

# lineLength(This, Line)

    -spec lineLength(This, Line) -> integer() when This :: wxStyledTextCtrl(), Line :: integer().

How many characters are on a line, including end of line characters?

# lineScroll(This, Columns, Lines)

    -spec lineScroll(This, Columns, Lines) -> ok
                        when This :: wxStyledTextCtrl(), Columns :: integer(), Lines :: integer().

Scroll horizontally and vertically.

# lineScrollDown(This)

    -spec lineScrollDown(This) -> ok when This :: wxStyledTextCtrl().

Scroll the document down, keeping the caret visible.

# lineScrollUp(This)

    -spec lineScrollUp(This) -> ok when This :: wxStyledTextCtrl().

Scroll the document up, keeping the caret visible.

# linesJoin(This)

    -spec linesJoin(This) -> ok when This :: wxStyledTextCtrl().

Join the lines in the target.

# linesOnScreen(This)

    -spec linesOnScreen(This) -> integer() when This :: wxStyledTextCtrl().

Retrieves the number of lines completely visible.

# linesSplit(This, PixelWidth)

    -spec linesSplit(This, PixelWidth) -> ok when This :: wxStyledTextCtrl(), PixelWidth :: integer().

Split the lines in the target into lines that are less wide than pixelWidth where possible.

# lineTranspose(This)

    -spec lineTranspose(This) -> ok when This :: wxStyledTextCtrl().

Switch the current line with the previous.

# lineUp(This)

    -spec lineUp(This) -> ok when This :: wxStyledTextCtrl().

Move caret up one line.

# lineUpExtend(This)

    -spec lineUpExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret up one line extending selection to new caret position.

# lineUpRectExtend(This)

    -spec lineUpRectExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret up one line, extending rectangular selection to new caret position.

# loadFile(This, Filename)

    -spec loadFile(This, Filename) -> boolean()
                      when This :: wxStyledTextCtrl(), Filename :: unicode:chardata().

Load the contents of filename into the editor.

# lowerCase(This)

    -spec lowerCase(This) -> ok when This :: wxStyledTextCtrl().

Transform the selection to lower case.

# markerAdd(This, Line, MarkerNumber)

    -spec markerAdd(This, Line, MarkerNumber) -> integer()
                       when This :: wxStyledTextCtrl(), Line :: integer(), MarkerNumber :: integer().

Add a marker to a line, returning an ID which can be used to find or delete the marker.

# markerAddSet(This, Line, MarkerSet)

    -spec markerAddSet(This, Line, MarkerSet) -> ok
                          when This :: wxStyledTextCtrl(), Line :: integer(), MarkerSet :: integer().

Add a set of markers to a line.

# markerDefine(This, MarkerNumber, MarkerSymbol)

    -spec markerDefine(This, MarkerNumber, MarkerSymbol) -> ok
                          when
                              This :: wxStyledTextCtrl(),
                              MarkerNumber :: integer(),
                              MarkerSymbol :: integer().

Equivalent to `markerDefine(This, MarkerNumber, MarkerSymbol, [])`.

# markerDefine/4

    -spec markerDefine(This, MarkerNumber, MarkerSymbol, [Option]) -> ok
                          when
                              This :: wxStyledTextCtrl(),
                              MarkerNumber :: integer(),
                              MarkerSymbol :: integer(),
                              Option :: {foreground, wx:wx_colour()} | {background, wx:wx_colour()}.

Set the symbol used for a particular marker number, and optionally the fore and background colours.

The second argument should be one of the ?wxSTC_MARK_* constants.

# markerDefineBitmap(This, MarkerNumber, Bmp)

    -spec markerDefineBitmap(This, MarkerNumber, Bmp) -> ok
                                when
                                    This :: wxStyledTextCtrl(),
                                    MarkerNumber :: integer(),
                                    Bmp :: wxBitmap:wxBitmap().

Define a marker with a `wxBitmap`.

# markerDelete(This, Line, MarkerNumber)

    -spec markerDelete(This, Line, MarkerNumber) -> ok
                          when This :: wxStyledTextCtrl(), Line :: integer(), MarkerNumber :: integer().

Delete a marker from a line.

# markerDeleteAll(This, MarkerNumber)

    -spec markerDeleteAll(This, MarkerNumber) -> ok
                             when This :: wxStyledTextCtrl(), MarkerNumber :: integer().

Delete all markers with a particular number from all lines.

# markerDeleteHandle(This, MarkerHandle)

    -spec markerDeleteHandle(This, MarkerHandle) -> ok
                                when This :: wxStyledTextCtrl(), MarkerHandle :: integer().

Delete a marker.

# markerGet(This, Line)

    -spec markerGet(This, Line) -> integer() when This :: wxStyledTextCtrl(), Line :: integer().

Get a bit mask of all the markers set on a line.

# markerLineFromHandle(This, MarkerHandle)

    -spec markerLineFromHandle(This, MarkerHandle) -> integer()
                                  when This :: wxStyledTextCtrl(), MarkerHandle :: integer().

Retrieve the line number at which a particular marker is located.

# markerNext(This, LineStart, MarkerMask)

    -spec markerNext(This, LineStart, MarkerMask) -> integer()
                        when This :: wxStyledTextCtrl(), LineStart :: integer(), MarkerMask :: integer().

Find the next line at or after lineStart that includes a marker in mask.

Return -1 when no more lines.

# markerPrevious(This, LineStart, MarkerMask)

    -spec markerPrevious(This, LineStart, MarkerMask) -> integer()
                            when This :: wxStyledTextCtrl(), LineStart :: integer(), MarkerMask :: integer().

Find the previous line before lineStart that includes a marker in mask.

# markerSetAlpha(This, MarkerNumber, Alpha)

    -spec markerSetAlpha(This, MarkerNumber, Alpha) -> ok
                            when This :: wxStyledTextCtrl(), MarkerNumber :: integer(), Alpha :: integer().

Set the alpha used for a marker that is drawn in the text area, not the margin.

# markerSetBackground(This, MarkerNumber, Back)

    -spec markerSetBackground(This, MarkerNumber, Back) -> ok
                                 when
                                     This :: wxStyledTextCtrl(),
                                     MarkerNumber :: integer(),
                                     Back :: wx:wx_colour().

Set the background colour used for a particular marker number.

# markerSetForeground(This, MarkerNumber, Fore)

    -spec markerSetForeground(This, MarkerNumber, Fore) -> ok
                                 when
                                     This :: wxStyledTextCtrl(),
                                     MarkerNumber :: integer(),
                                     Fore :: wx:wx_colour().

Set the foreground colour used for a particular marker number.

# moveCaretInsideView(This)

    -spec moveCaretInsideView(This) -> ok when This :: wxStyledTextCtrl().

Move the caret inside current view if it's not there already.

# new()

    -spec new() -> wxStyledTextCtrl().

Default ctor.

# new(Parent)

    -spec new(Parent) -> wxStyledTextCtrl() when Parent :: wxWindow:wxWindow().

Equivalent to `new(Parent, [])`.

# new/2

    -spec new(Parent, [Option]) -> wxStyledTextCtrl()
                 when
                     Parent :: wxWindow:wxWindow(),
                     Option ::
                         {id, integer()} |
                         {pos, {X :: integer(), Y :: integer()}} |
                         {size, {W :: integer(), H :: integer()}} |
                         {style, integer()}.

Ctor.

# newLine(This)

    -spec newLine(This) -> ok when This :: wxStyledTextCtrl().

Insert a new line, may use a CRLF, CR or LF depending on EOL mode.

# pageDown(This)

    -spec pageDown(This) -> ok when This :: wxStyledTextCtrl().

Move caret one page down.

# pageDownExtend(This)

    -spec pageDownExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret one page down extending selection to new caret position.

# pageDownRectExtend(This)

    -spec pageDownRectExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret one page down, extending rectangular selection to new caret position.

# pageUp(This)

    -spec pageUp(This) -> ok when This :: wxStyledTextCtrl().

Move caret one page up.

# pageUpExtend(This)

    -spec pageUpExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret one page up extending selection to new caret position.

# pageUpRectExtend(This)

    -spec pageUpRectExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret one page up, extending rectangular selection to new caret position.

# paraDownExtend(This)

    -spec paraDownExtend(This) -> ok when This :: wxStyledTextCtrl().

Extend selection down one paragraph (delimited by empty lines).

# paraUp(This)

    -spec paraUp(This) -> ok when This :: wxStyledTextCtrl().

Move caret up one paragraph (delimited by empty lines).

# paraUpExtend(This)

    -spec paraUpExtend(This) -> ok when This :: wxStyledTextCtrl().

Extend selection up one paragraph (delimited by empty lines).

# paste(This)

    -spec paste(This) -> ok when This :: wxStyledTextCtrl().

Paste the contents of the clipboard into the document replacing the selection.

# pointFromPosition(This, Pos)

    -spec pointFromPosition(This, Pos) -> {X :: integer(), Y :: integer()}
                               when This :: wxStyledTextCtrl(), Pos :: integer().

Retrieve the point in the window where a position is displayed.

# positionAfter(This, Pos)

    -spec positionAfter(This, Pos) -> integer() when This :: wxStyledTextCtrl(), Pos :: integer().

Given a valid document position, return the next position taking code page into account.

Maximum value returned is the last position in the document.

# positionBefore(This, Pos)

    -spec positionBefore(This, Pos) -> integer() when This :: wxStyledTextCtrl(), Pos :: integer().

Given a valid document position, return the previous position taking code page into account.

Returns 0 if passed 0.

# positionFromLine(This, Line)

    -spec positionFromLine(This, Line) -> integer() when This :: wxStyledTextCtrl(), Line :: integer().

Retrieve the position at the start of a line.

# positionFromPoint(This, Pt)

    -spec positionFromPoint(This, Pt) -> integer()
                               when This :: wxStyledTextCtrl(), Pt :: {X :: integer(), Y :: integer()}.

Find the position from a point within the window.

# positionFromPointClose(This, X, Y)

    -spec positionFromPointClose(This, X, Y) -> integer()
                                    when This :: wxStyledTextCtrl(), X :: integer(), Y :: integer().

Find the position from a point within the window but return wxSTC_INVALID_POSITION if not close to text.

# redo(This)

    -spec redo(This) -> ok when This :: wxStyledTextCtrl().

Redoes the next action on the undo history.

# registerImage(This, Type, Bmp)

    -spec registerImage(This, Type, Bmp) -> ok
                           when This :: wxStyledTextCtrl(), Type :: integer(), Bmp :: wxBitmap:wxBitmap().

Register an image for use in autocompletion lists.

# replaceSelection(This, Text)

    -spec replaceSelection(This, Text) -> ok when This :: wxStyledTextCtrl(), Text :: unicode:chardata().

Replace the selected text with the argument text.

# replaceTarget(This, Text)

    -spec replaceTarget(This, Text) -> integer() when This :: wxStyledTextCtrl(), Text :: unicode:chardata().

Replace the target text with the argument text.

Text is counted so it can contain NULs. Returns the length of the replacement text.

# saveFile(This, Filename)

    -spec saveFile(This, Filename) -> boolean()
                      when This :: wxStyledTextCtrl(), Filename :: unicode:chardata().

Write the contents of the editor to filename.

# scrollToColumn(This, Column)

    -spec scrollToColumn(This, Column) -> ok when This :: wxStyledTextCtrl(), Column :: integer().

Scroll enough to make the given column visible.

# scrollToLine(This, Line)

    -spec scrollToLine(This, Line) -> ok when This :: wxStyledTextCtrl(), Line :: integer().

Scroll enough to make the given line visible.

# searchAnchor(This)

    -spec searchAnchor(This) -> ok when This :: wxStyledTextCtrl().

Sets the current caret position to be the search anchor.

# searchInTarget(This, Text)

    -spec searchInTarget(This, Text) -> integer()
                            when This :: wxStyledTextCtrl(), Text :: unicode:chardata().

Search for a counted string in the target and set the target to the found range.

Text is counted so it can contain NULs. Returns length of range or -1 for failure in which case target is not moved.

# searchNext(This, SearchFlags, Text)

    -spec searchNext(This, SearchFlags, Text) -> integer()
                        when
                            This :: wxStyledTextCtrl(), SearchFlags :: integer(), Text :: unicode:chardata().

Find some text starting at the search anchor.

Does not ensure the selection is visible.

# searchPrev(This, SearchFlags, Text)

    -spec searchPrev(This, SearchFlags, Text) -> integer()
                        when
                            This :: wxStyledTextCtrl(), SearchFlags :: integer(), Text :: unicode:chardata().

Find some text starting at the search anchor and moving backwards.

Does not ensure the selection is visible.

# selectAll(This)

    -spec selectAll(This) -> ok when This :: wxStyledTextCtrl().

Select all the text in the document.

# selectionDuplicate(This)

    -spec selectionDuplicate(This) -> ok when This :: wxStyledTextCtrl().

Duplicate the selection.

If selection empty duplicate the line containing the caret.

# selectionIsRectangle(This)

    -spec selectionIsRectangle(This) -> boolean() when This :: wxStyledTextCtrl().

Is the selection rectangular? The alternative is the more common stream selection.

# setAnchor(This, Anchor)

    -spec setAnchor(This, Anchor) -> ok when This :: wxStyledTextCtrl(), Anchor :: integer().

Set the selection anchor to a position.

The anchor is the opposite end of the selection from the caret.

# setBackSpaceUnIndents(This, BsUnIndents)

    -spec setBackSpaceUnIndents(This, BsUnIndents) -> ok
                                   when This :: wxStyledTextCtrl(), BsUnIndents :: boolean().

Sets whether a backspace pressed when caret is within indentation unindents.

# setBufferedDraw(This, Buffered)

    -spec setBufferedDraw(This, Buffered) -> ok when This :: wxStyledTextCtrl(), Buffered :: boolean().

If drawing is buffered then each line of text is drawn into a bitmap buffer before drawing it to the screen to avoid flicker.

# setCaretForeground(This, Fore)

    -spec setCaretForeground(This, Fore) -> ok when This :: wxStyledTextCtrl(), Fore :: wx:wx_colour().

Set the foreground colour of the caret.

# setCaretLineBackAlpha(This, Alpha)

    -spec setCaretLineBackAlpha(This, Alpha) -> ok when This :: wxStyledTextCtrl(), Alpha :: integer().

Set background alpha of the caret line.

# setCaretLineBackground(This, Back)

    -spec setCaretLineBackground(This, Back) -> ok when This :: wxStyledTextCtrl(), Back :: wx:wx_colour().

Set the colour of the background of the line containing the caret.

# setCaretLineVisible(This, Show)

    -spec setCaretLineVisible(This, Show) -> ok when This :: wxStyledTextCtrl(), Show :: boolean().

Display the background of the line containing the caret in a different colour.

# setCaretPeriod(This, PeriodMilliseconds)

    -spec setCaretPeriod(This, PeriodMilliseconds) -> ok
                            when This :: wxStyledTextCtrl(), PeriodMilliseconds :: integer().

Get the time in milliseconds that the caret is on and off.

0 = steady on.

# setCaretSticky(This, UseCaretStickyBehaviour)

    -spec setCaretSticky(This, UseCaretStickyBehaviour) -> ok
                            when This :: wxStyledTextCtrl(), UseCaretStickyBehaviour :: integer().

Stop the caret preferred x position changing when the user types.

The input should be one of the ?wxSTC_CARETSTICKY_* constants.

# setCaretWidth(This, PixelWidth)

    -spec setCaretWidth(This, PixelWidth) -> ok when This :: wxStyledTextCtrl(), PixelWidth :: integer().

Set the width of the insert mode caret.

# setCharsDefault(This)

    -spec setCharsDefault(This) -> ok when This :: wxStyledTextCtrl().

Reset the set of characters for whitespace and word characters to the defaults.

# setCodePage(This, CodePage)

    -spec setCodePage(This, CodePage) -> ok when This :: wxStyledTextCtrl(), CodePage :: integer().

Set the code page used to interpret the bytes of the document as characters.

# setControlCharSymbol(This, Symbol)

    -spec setControlCharSymbol(This, Symbol) -> ok when This :: wxStyledTextCtrl(), Symbol :: integer().

Change the way control characters are displayed: If symbol is *< 32, keep the drawn way, else, use the given character.

# setCurrentPos(This, Caret)

    -spec setCurrentPos(This, Caret) -> ok when This :: wxStyledTextCtrl(), Caret :: integer().

Sets the position of the caret.

# setEdgeColour(This, EdgeColour)

    -spec setEdgeColour(This, EdgeColour) -> ok
                           when This :: wxStyledTextCtrl(), EdgeColour :: wx:wx_colour().

Change the colour used in edge indication.

# setEdgeColumn(This, Column)

    -spec setEdgeColumn(This, Column) -> ok when This :: wxStyledTextCtrl(), Column :: integer().

Set the column number of the edge.

If text goes past the edge then it is highlighted.

# setEdgeMode(This, EdgeMode)

    -spec setEdgeMode(This, EdgeMode) -> ok when This :: wxStyledTextCtrl(), EdgeMode :: integer().

The edge may be displayed by a line (wxSTC_EDGE_LINE/wxSTC_EDGE_MULTILINE) or by highlighting text that goes beyond it (wxSTC_EDGE_BACKGROUND) or not displayed at all (wxSTC_EDGE_NONE).

The input should be one of the ?wxSTC_EDGE_* constants.

# setEOLMode(This, EolMode)

    -spec setEOLMode(This, EolMode) -> ok when This :: wxStyledTextCtrl(), EolMode :: integer().

Set the current end of line mode.

The input should be one of the ?wxSTC_EOL_* constants.

# setFoldExpanded(This, Line, Expanded)

    -spec setFoldExpanded(This, Line, Expanded) -> ok
                             when This :: wxStyledTextCtrl(), Line :: integer(), Expanded :: boolean().

Show the children of a header line.

# setFoldFlags(This, Flags)

    -spec setFoldFlags(This, Flags) -> ok when This :: wxStyledTextCtrl(), Flags :: integer().

Set some style options for folding.

The second argument should be a bit list containing one or more of the ?wxSTC_FOLDFLAG_* constants.

# setFoldLevel(This, Line, Level)

    -spec setFoldLevel(This, Line, Level) -> ok
                          when This :: wxStyledTextCtrl(), Line :: integer(), Level :: integer().

Set the fold level of a line.

This encodes an integer level along with flags indicating whether the line is a header and whether it is effectively white space.

# setFoldMarginColour(This, UseSetting, Back)

    -spec setFoldMarginColour(This, UseSetting, Back) -> ok
                                 when
                                     This :: wxStyledTextCtrl(),
                                     UseSetting :: boolean(),
                                     Back :: wx:wx_colour().

Set one of the colours used as a chequerboard pattern in the fold margin.

# setFoldMarginHiColour(This, UseSetting, Fore)

    -spec setFoldMarginHiColour(This, UseSetting, Fore) -> ok
                                   when
                                       This :: wxStyledTextCtrl(),
                                       UseSetting :: boolean(),
                                       Fore :: wx:wx_colour().

Set the other colour used as a chequerboard pattern in the fold margin.

# setHighlightGuide(This, Column)

    -spec setHighlightGuide(This, Column) -> ok when This :: wxStyledTextCtrl(), Column :: integer().

Set the highlighted indentation guide column.

0 = no highlighted guide.

# setHotspotActiveBackground(This, UseSetting, Back)

    -spec setHotspotActiveBackground(This, UseSetting, Back) -> ok
                                        when
                                            This :: wxStyledTextCtrl(),
                                            UseSetting :: boolean(),
                                            Back :: wx:wx_colour().

Set a back colour for active hotspots.

# setHotspotActiveForeground(This, UseSetting, Fore)

    -spec setHotspotActiveForeground(This, UseSetting, Fore) -> ok
                                        when
                                            This :: wxStyledTextCtrl(),
                                            UseSetting :: boolean(),
                                            Fore :: wx:wx_colour().

Set a fore colour for active hotspots.

# setHotspotActiveUnderline(This, Underline)

    -spec setHotspotActiveUnderline(This, Underline) -> ok
                                       when This :: wxStyledTextCtrl(), Underline :: boolean().

Enable / Disable underlining active hotspots.

# setHotspotSingleLine(This, SingleLine)

    -spec setHotspotSingleLine(This, SingleLine) -> ok
                                  when This :: wxStyledTextCtrl(), SingleLine :: boolean().

Limit hotspots to single line so hotspots on two lines don't merge.

# setHScrollBar(This, Bar)

    -spec setHScrollBar(This, Bar) -> ok when This :: wxStyledTextCtrl(), Bar :: wxScrollBar:wxScrollBar().

Set the horizontal scrollbar to use instead of the one that's built-in.

# setIndent(This, IndentSize)

    -spec setIndent(This, IndentSize) -> ok when This :: wxStyledTextCtrl(), IndentSize :: integer().

Set the number of spaces used for one level of indentation.

# setIndentationGuides(This, IndentView)

    -spec setIndentationGuides(This, IndentView) -> ok
                                  when This :: wxStyledTextCtrl(), IndentView :: integer().

Show or hide indentation guides.

The input should be one of the ?wxSTC_IV_* constants.

# setKeyWords(This, KeyWordSet, KeyWords)

    -spec setKeyWords(This, KeyWordSet, KeyWords) -> ok
                         when
                             This :: wxStyledTextCtrl(),
                             KeyWordSet :: integer(),
                             KeyWords :: unicode:chardata().

Set up the key words used by the lexer.

# setLastKeydownProcessed(This, Val)

    -spec setLastKeydownProcessed(This, Val) -> ok when This :: wxStyledTextCtrl(), Val :: boolean().

Returns the line number of the line with the caret.

# setLayoutCache(This, CacheMode)

    -spec setLayoutCache(This, CacheMode) -> ok when This :: wxStyledTextCtrl(), CacheMode :: integer().

Sets the degree of caching of layout information.

The input should be one of the ?wxSTC_CACHE_* constants.

# setLexer(This, Lexer)

    -spec setLexer(This, Lexer) -> ok when This :: wxStyledTextCtrl(), Lexer :: integer().

Set the lexing language of the document.

The input should be one of the ?wxSTC_LEX_* constants.

# setLexerLanguage(This, Language)

    -spec setLexerLanguage(This, Language) -> ok
                              when This :: wxStyledTextCtrl(), Language :: unicode:chardata().

Set the lexing language of the document based on string name.

# setLineIndentation(This, Line, Indentation)

    -spec setLineIndentation(This, Line, Indentation) -> ok
                                when This :: wxStyledTextCtrl(), Line :: integer(), Indentation :: integer().

Change the indentation of a line to a number of columns.

# setLineState(This, Line, State)

    -spec setLineState(This, Line, State) -> ok
                          when This :: wxStyledTextCtrl(), Line :: integer(), State :: integer().

Used to hold extra styling information for each line.

# setMarginLeft(This, PixelWidth)

    -spec setMarginLeft(This, PixelWidth) -> ok when This :: wxStyledTextCtrl(), PixelWidth :: integer().

Sets the size in pixels of the left margin.

# setMarginMask(This, Margin, Mask)

    -spec setMarginMask(This, Margin, Mask) -> ok
                           when This :: wxStyledTextCtrl(), Margin :: integer(), Mask :: integer().

Set a mask that determines which markers are displayed in a margin.

# setMarginRight(This, PixelWidth)

    -spec setMarginRight(This, PixelWidth) -> ok when This :: wxStyledTextCtrl(), PixelWidth :: integer().

Sets the size in pixels of the right margin.

# setMarginSensitive(This, Margin, Sensitive)

    -spec setMarginSensitive(This, Margin, Sensitive) -> ok
                                when This :: wxStyledTextCtrl(), Margin :: integer(), Sensitive :: boolean().

Make a margin sensitive or insensitive to mouse clicks.

# setMargins(This, Left, Right)

    -spec setMargins(This, Left, Right) -> ok
                        when This :: wxStyledTextCtrl(), Left :: integer(), Right :: integer().

Set the left and right margin in the edit area, measured in pixels.

# setMarginType(This, Margin, MarginType)

    -spec setMarginType(This, Margin, MarginType) -> ok
                           when This :: wxStyledTextCtrl(), Margin :: integer(), MarginType :: integer().

Set a margin to be either numeric or symbolic.

The second argument should be one of the ?wxSTC_MARGIN_* constants.

# setMarginWidth(This, Margin, PixelWidth)

    -spec setMarginWidth(This, Margin, PixelWidth) -> ok
                            when This :: wxStyledTextCtrl(), Margin :: integer(), PixelWidth :: integer().

Set the width of a margin to a width expressed in pixels.

# setModEventMask(This, EventMask)

    -spec setModEventMask(This, EventMask) -> ok when This :: wxStyledTextCtrl(), EventMask :: integer().

Set which document modification events are sent to the container.

The input should be a bit list containing one or more of the ?wxSTC_MOD_* constants, the ?wxSTC_PERFORMED_* constants, wxSTC_STARTACTION, wxSTC_MULTILINEUNDOREDO, wxSTC_MULTISTEPUNDOREDO, and wxSTC_LASTSTEPINUNDOREDO. The input can also be wxSTC_MODEVENTMASKALL to indicate that all changes should generate events.

# setMouseDownCaptures(This, Captures)

    -spec setMouseDownCaptures(This, Captures) -> ok when This :: wxStyledTextCtrl(), Captures :: boolean().

Set whether the mouse is captured when its button is pressed.

# setMouseDwellTime(This, PeriodMilliseconds)

    -spec setMouseDwellTime(This, PeriodMilliseconds) -> ok
                               when This :: wxStyledTextCtrl(), PeriodMilliseconds :: integer().

Sets the time the mouse must sit still to generate a mouse dwell event.

The input should be a time in milliseconds or wxSTC_TIME_FOREVER.

# setPasteConvertEndings(This, Convert)

    -spec setPasteConvertEndings(This, Convert) -> ok when This :: wxStyledTextCtrl(), Convert :: boolean().

Enable/Disable convert-on-paste for line endings.

# setPrintColourMode(This, Mode)

    -spec setPrintColourMode(This, Mode) -> ok when This :: wxStyledTextCtrl(), Mode :: integer().

Modify colours when printing for clearer printed text.

The input should be one of the ?wxSTC_PRINT_* constants.

# setPrintMagnification(This, Magnification)

    -spec setPrintMagnification(This, Magnification) -> ok
                                   when This :: wxStyledTextCtrl(), Magnification :: integer().

Sets the print magnification added to the point size of each style for printing.

# setProperty(This, Key, Value)

    -spec setProperty(This, Key, Value) -> ok
                         when
                             This :: wxStyledTextCtrl(),
                             Key :: unicode:chardata(),
                             Value :: unicode:chardata().

Set up a value that may be used by a lexer for some optional feature.

# setReadOnly(This, ReadOnly)

    -spec setReadOnly(This, ReadOnly) -> ok when This :: wxStyledTextCtrl(), ReadOnly :: boolean().

Set to read only or read write.

# setSavePoint(This)

    -spec setSavePoint(This) -> ok when This :: wxStyledTextCtrl().

Remember the current position in the undo history as the position at which the document was saved.

# setScrollWidth(This, PixelWidth)

    -spec setScrollWidth(This, PixelWidth) -> ok when This :: wxStyledTextCtrl(), PixelWidth :: integer().

Sets the document width assumed for scrolling.

# setSearchFlags(This, SearchFlags)

    -spec setSearchFlags(This, SearchFlags) -> ok when This :: wxStyledTextCtrl(), SearchFlags :: integer().

Set the search flags used by SearchInTarget.

The input should be a bit list containing one or more of the ?wxSTC_FIND_* constants.

# setSelAlpha(This, Alpha)

    -spec setSelAlpha(This, Alpha) -> ok when This :: wxStyledTextCtrl(), Alpha :: integer().

Set the alpha of the selection.

# setSelBackground(This, UseSetting, Back)

    -spec setSelBackground(This, UseSetting, Back) -> ok
                              when
                                  This :: wxStyledTextCtrl(),
                                  UseSetting :: boolean(),
                                  Back :: wx:wx_colour().

Set the background colour of the main and additional selections and whether to use this setting.

# setSelection(This, From, To)

    -spec setSelection(This, From, To) -> ok
                          when This :: wxStyledTextCtrl(), From :: integer(), To :: integer().

Selects the text starting at the first position up to (but not including) the character at the last position.

If both parameters are equal to -1 all text in the control is selected.

Notice that the insertion point will be moved to `from` by this function.

See: `selectAll/1`

# setSelectionEnd(This, Caret)

    -spec setSelectionEnd(This, Caret) -> ok when This :: wxStyledTextCtrl(), Caret :: integer().

Sets the position that ends the selection - this becomes the caret.

# setSelectionMode(This, SelectionMode)

    -spec setSelectionMode(This, SelectionMode) -> ok
                              when This :: wxStyledTextCtrl(), SelectionMode :: integer().

Set the selection mode to stream (wxSTC_SEL_STREAM) or rectangular (wxSTC_SEL_RECTANGLE/wxSTC_SEL_THIN) or by lines (wxSTC_SEL_LINES).

# setSelectionStart(This, Anchor)

    -spec setSelectionStart(This, Anchor) -> ok when This :: wxStyledTextCtrl(), Anchor :: integer().

Sets the position that starts the selection - this becomes the anchor.

# setSelForeground(This, UseSetting, Fore)

    -spec setSelForeground(This, UseSetting, Fore) -> ok
                              when
                                  This :: wxStyledTextCtrl(),
                                  UseSetting :: boolean(),
                                  Fore :: wx:wx_colour().

Set the foreground colour of the main and additional selections and whether to use this setting.

# setSTCCursor(This, CursorType)

    -spec setSTCCursor(This, CursorType) -> ok when This :: wxStyledTextCtrl(), CursorType :: integer().

Sets the cursor to one of the wxSTC_CURSOR* values.

# setSTCFocus(This, Focus)

    -spec setSTCFocus(This, Focus) -> ok when This :: wxStyledTextCtrl(), Focus :: boolean().

Change internal focus flag.

# setStatus(This, Status)

    -spec setStatus(This, Status) -> ok when This :: wxStyledTextCtrl(), Status :: integer().

Change error status - 0 = OK.

The input should be one of the ?wxSTC_STATUS_* constants.

# setStyleBytes(This, Length)

    -spec setStyleBytes(This, Length) -> integer() when This :: wxStyledTextCtrl(), Length :: integer().

Set the styles for a segment of the document.

# setStyling(This, Length, Style)

    -spec setStyling(This, Length, Style) -> ok
                        when This :: wxStyledTextCtrl(), Length :: integer(), Style :: integer().

Change style from current styling position for length characters to a style and move the current styling position to after this newly styled segment.

# setTabIndents(This, TabIndents)

    -spec setTabIndents(This, TabIndents) -> ok when This :: wxStyledTextCtrl(), TabIndents :: boolean().

Sets whether a tab pressed when caret is within indentation indents.

# setTabWidth(This, TabWidth)

    -spec setTabWidth(This, TabWidth) -> ok when This :: wxStyledTextCtrl(), TabWidth :: integer().

Change the visible size of a tab to be a multiple of the width of a space character.

# setTargetEnd(This, End)

    -spec setTargetEnd(This, End) -> ok when This :: wxStyledTextCtrl(), End :: integer().

Sets the position that ends the target which is used for updating the document without affecting the scroll position.

# setTargetStart(This, Start)

    -spec setTargetStart(This, Start) -> ok when This :: wxStyledTextCtrl(), Start :: integer().

Sets the position that starts the target which is used for updating the document without affecting the scroll position.

# setText(This, Text)

    -spec setText(This, Text) -> ok when This :: wxStyledTextCtrl(), Text :: unicode:chardata().

Replace the contents of the document with the argument text.

# setTextRaw(This, Text)

    -spec setTextRaw(This, Text) -> ok when This :: wxStyledTextCtrl(), Text :: binary().

Replace the contents of the document with the argument text.

# setTwoPhaseDraw(This, TwoPhase)

    -spec setTwoPhaseDraw(This, TwoPhase) -> ok when This :: wxStyledTextCtrl(), TwoPhase :: boolean().

In twoPhaseDraw mode, drawing is performed in two phases, first the background and then the foreground.

This avoids chopping off characters that overlap the next run.

# setUndoCollection(This, CollectUndo)

    -spec setUndoCollection(This, CollectUndo) -> ok
                               when This :: wxStyledTextCtrl(), CollectUndo :: boolean().

Choose between collecting actions into the undo history and discarding them.

# setUseHorizontalScrollBar(This, Visible)

    -spec setUseHorizontalScrollBar(This, Visible) -> ok
                                       when This :: wxStyledTextCtrl(), Visible :: boolean().

Show or hide the horizontal scroll bar.

# setUseTabs(This, UseTabs)

    -spec setUseTabs(This, UseTabs) -> ok when This :: wxStyledTextCtrl(), UseTabs :: boolean().

Indentation will only use space characters if useTabs is false, otherwise it will use a combination of tabs and spaces.

# setUseVerticalScrollBar(This, Visible)

    -spec setUseVerticalScrollBar(This, Visible) -> ok when This :: wxStyledTextCtrl(), Visible :: boolean().

Show or hide the vertical scroll bar.

# setViewEOL(This, Visible)

    -spec setViewEOL(This, Visible) -> ok when This :: wxStyledTextCtrl(), Visible :: boolean().

Make the end of line characters visible or invisible.

# setViewWhiteSpace(This, ViewWS)

    -spec setViewWhiteSpace(This, ViewWS) -> ok when This :: wxStyledTextCtrl(), ViewWS :: integer().

Make white space characters invisible, always visible or visible outside indentation.

The input should be one of the ?wxSTC_WS_* constants.

# setVisiblePolicy(This, VisiblePolicy, VisibleSlop)

    -spec setVisiblePolicy(This, VisiblePolicy, VisibleSlop) -> ok
                              when
                                  This :: wxStyledTextCtrl(),
                                  VisiblePolicy :: integer(),
                                  VisibleSlop :: integer().

Set the way the display area is determined when a particular line is to be moved to by Find, FindNext, GotoLine, etc.

The first argument should be a bit list containing one or more of the ?wxSTC_VISIBLE_* constants.

# setVScrollBar(This, Bar)

    -spec setVScrollBar(This, Bar) -> ok when This :: wxStyledTextCtrl(), Bar :: wxScrollBar:wxScrollBar().

Set the vertical scrollbar to use instead of the one that's built-in.

# setWhitespaceBackground(This, UseSetting, Back)

    -spec setWhitespaceBackground(This, UseSetting, Back) -> ok
                                     when
                                         This :: wxStyledTextCtrl(),
                                         UseSetting :: boolean(),
                                         Back :: wx:wx_colour().

Set the background colour of all whitespace and whether to use this setting.

# setWhitespaceChars(This, Characters)

    -spec setWhitespaceChars(This, Characters) -> ok
                                when This :: wxStyledTextCtrl(), Characters :: unicode:chardata().

Set the set of characters making up whitespace for when moving or selecting by word.

Should be called after SetWordChars.

# setWhitespaceForeground(This, UseSetting, Fore)

    -spec setWhitespaceForeground(This, UseSetting, Fore) -> ok
                                     when
                                         This :: wxStyledTextCtrl(),
                                         UseSetting :: boolean(),
                                         Fore :: wx:wx_colour().

Set the foreground colour of all whitespace and whether to use this setting.

# setWordChars(This, Characters)

    -spec setWordChars(This, Characters) -> ok
                          when This :: wxStyledTextCtrl(), Characters :: unicode:chardata().

Set the set of characters making up words for when moving or selecting by word.

First sets defaults like SetCharsDefault.

# setWrapMode(This, WrapMode)

    -spec setWrapMode(This, WrapMode) -> ok when This :: wxStyledTextCtrl(), WrapMode :: integer().

Sets whether text is word wrapped.

The input should be one of the ?wxSTC_WRAP_* constants.

# setWrapStartIndent(This, Indent)

    -spec setWrapStartIndent(This, Indent) -> ok when This :: wxStyledTextCtrl(), Indent :: integer().

Set the start indent for wrapped lines.

# setWrapVisualFlags(This, WrapVisualFlags)

    -spec setWrapVisualFlags(This, WrapVisualFlags) -> ok
                                when This :: wxStyledTextCtrl(), WrapVisualFlags :: integer().

Set the display mode of visual flags for wrapped lines.

The input should be a bit list containing one or more of the ?wxSTC_WRAPVISUALFLAG_* constants.

# setWrapVisualFlagsLocation(This, WrapVisualFlagsLocation)

    -spec setWrapVisualFlagsLocation(This, WrapVisualFlagsLocation) -> ok
                                        when
                                            This :: wxStyledTextCtrl(), WrapVisualFlagsLocation :: integer().

Set the location of visual flags for wrapped lines.

The input should be a bit list containing one or more of the ?wxSTC_WRAPVISUALFLAGLOC_* constants.

# setXCaretPolicy(This, CaretPolicy, CaretSlop)

    -spec setXCaretPolicy(This, CaretPolicy, CaretSlop) -> ok
                             when
                                 This :: wxStyledTextCtrl(),
                                 CaretPolicy :: integer(),
                                 CaretSlop :: integer().

Set the way the caret is kept visible when going sideways.

The exclusion zone is given in pixels.

The first argument should be a bit list containing one or more of the ?wxSTC_CARET_* constants.

# setYCaretPolicy(This, CaretPolicy, CaretSlop)

    -spec setYCaretPolicy(This, CaretPolicy, CaretSlop) -> ok
                             when
                                 This :: wxStyledTextCtrl(),
                                 CaretPolicy :: integer(),
                                 CaretSlop :: integer().

Set the way the line the caret is on is kept visible.

The exclusion zone is given in lines.

The first argument should be a bit list containing one or more of the ?wxSTC_CARET_* constants.

# setZoom(This, ZoomInPoints)

    -spec setZoom(This, ZoomInPoints) -> ok when This :: wxStyledTextCtrl(), ZoomInPoints :: integer().

Set the zoom level.

This number of points is added to the size of all fonts. It may be positive to magnify or negative to reduce.

# showLines(This, LineStart, LineEnd)

    -spec showLines(This, LineStart, LineEnd) -> ok
                       when This :: wxStyledTextCtrl(), LineStart :: integer(), LineEnd :: integer().

Make a range of lines visible.

# startRecord(This)

    -spec startRecord(This) -> ok when This :: wxStyledTextCtrl().

Start notifying the container of all key presses and commands.

# startStyling(This, Start)

    -spec startStyling(This, Start) -> ok when This :: wxStyledTextCtrl(), Start :: integer().

Set the current styling position to start.

# stopRecord(This)

    -spec stopRecord(This) -> ok when This :: wxStyledTextCtrl().

Stop notifying the container of all key presses and commands.

# stutteredPageDown(This)

    -spec stutteredPageDown(This) -> ok when This :: wxStyledTextCtrl().

Move caret to bottom of page, or one page down if already at bottom of page.

# stutteredPageDownExtend(This)

    -spec stutteredPageDownExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret to bottom of page, or one page down if already at bottom of page, extending selection to new caret position.

# stutteredPageUp(This)

    -spec stutteredPageUp(This) -> ok when This :: wxStyledTextCtrl().

Move caret to top of page, or one page up if already at top of page.

# stutteredPageUpExtend(This)

    -spec stutteredPageUpExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret to top of page, or one page up if already at top of page, extending selection to new caret position.

# styleClearAll(This)

    -spec styleClearAll(This) -> ok when This :: wxStyledTextCtrl().

Clear all the styles and make equivalent to the global default style.

# styleResetDefault(This)

    -spec styleResetDefault(This) -> ok when This :: wxStyledTextCtrl().

Reset the default style to its state at startup.

# styleSetBackground(This, Style, Back)

    -spec styleSetBackground(This, Style, Back) -> ok
                                when This :: wxStyledTextCtrl(), Style :: integer(), Back :: wx:wx_colour().

Set the background colour of a style.

# styleSetBold(This, Style, Bold)

    -spec styleSetBold(This, Style, Bold) -> ok
                          when This :: wxStyledTextCtrl(), Style :: integer(), Bold :: boolean().

Set a style to be bold or not.

# styleSetCase(This, Style, CaseVisible)

    -spec styleSetCase(This, Style, CaseVisible) -> ok
                          when This :: wxStyledTextCtrl(), Style :: integer(), CaseVisible :: integer().

Set a style to be mixed case, or to force upper or lower case.

The second argument should be one of the ?wxSTC_CASE_* constants.

# styleSetCharacterSet(This, Style, CharacterSet)

    -spec styleSetCharacterSet(This, Style, CharacterSet) -> ok
                                  when
                                      This :: wxStyledTextCtrl(),
                                      Style :: integer(),
                                      CharacterSet :: integer().

Set the character set of the font in a style.

Converts the Scintilla character set values to a wxFontEncoding.

# styleSetEOLFilled(This, Style, EolFilled)

    -spec styleSetEOLFilled(This, Style, EolFilled) -> ok
                               when This :: wxStyledTextCtrl(), Style :: integer(), EolFilled :: boolean().

Set a style to have its end of line filled or not.

# styleSetFaceName(This, Style, FontName)

    -spec styleSetFaceName(This, Style, FontName) -> ok
                              when
                                  This :: wxStyledTextCtrl(),
                                  Style :: integer(),
                                  FontName :: unicode:chardata().

Set the font of a style.

# styleSetFont(This, StyleNum, Font)

    -spec styleSetFont(This, StyleNum, Font) -> ok
                          when This :: wxStyledTextCtrl(), StyleNum :: integer(), Font :: wxFont:wxFont().

Set style size, face, bold, italic, and underline attributes from a `wxFont`'s attributes.

# styleSetFontAttr(This, StyleNum, Size, FaceName, Bold, Italic, Underline)

    -spec styleSetFontAttr(This, StyleNum, Size, FaceName, Bold, Italic, Underline) -> ok
                              when
                                  This :: wxStyledTextCtrl(),
                                  StyleNum :: integer(),
                                  Size :: integer(),
                                  FaceName :: unicode:chardata(),
                                  Bold :: boolean(),
                                  Italic :: boolean(),
                                  Underline :: boolean().

Equivalent to `styleSetFontAttr(This, StyleNum, Size, FaceName, Bold, Italic, Underline, [])`.

# styleSetFontAttr/8

    -spec styleSetFontAttr(This, StyleNum, Size, FaceName, Bold, Italic, Underline, [Option]) -> ok
                              when
                                  This :: wxStyledTextCtrl(),
                                  StyleNum :: integer(),
                                  Size :: integer(),
                                  FaceName :: unicode:chardata(),
                                  Bold :: boolean(),
                                  Italic :: boolean(),
                                  Underline :: boolean(),
                                  Option :: {encoding, wx:wx_enum()}.

Set all font style attributes at once.

# styleSetFontEncoding(This, Style, Encoding)

    -spec styleSetFontEncoding(This, Style, Encoding) -> ok
                                  when
                                      This :: wxStyledTextCtrl(),
                                      Style :: integer(),
                                      Encoding :: wx:wx_enum().

Set the font encoding to be used by a style.

# styleSetForeground(This, Style, Fore)

    -spec styleSetForeground(This, Style, Fore) -> ok
                                when This :: wxStyledTextCtrl(), Style :: integer(), Fore :: wx:wx_colour().

Set the foreground colour of a style.

# styleSetHotSpot(This, Style, Hotspot)

    -spec styleSetHotSpot(This, Style, Hotspot) -> ok
                             when This :: wxStyledTextCtrl(), Style :: integer(), Hotspot :: boolean().

Set a style to be a hotspot or not.

# styleSetItalic(This, Style, Italic)

    -spec styleSetItalic(This, Style, Italic) -> ok
                            when This :: wxStyledTextCtrl(), Style :: integer(), Italic :: boolean().

Set a style to be italic or not.

# styleSetSize(This, Style, SizePoints)

    -spec styleSetSize(This, Style, SizePoints) -> ok
                          when This :: wxStyledTextCtrl(), Style :: integer(), SizePoints :: integer().

Set the size of characters of a style.

# styleSetSpec(This, StyleNum, Spec)

    -spec styleSetSpec(This, StyleNum, Spec) -> ok
                          when This :: wxStyledTextCtrl(), StyleNum :: integer(), Spec :: unicode:chardata().

Extract style settings from a spec-string which is composed of one or more of the following comma separated elements:

bold turns on bold italic turns on italics fore:[name or #RRGGBB] sets the foreground colour back:[name or #RRGGBB] sets the background colour face:[facename] sets the font face name to use size:[num] sets the font size in points eol turns on eol filling underline turns on underlining

# styleSetUnderline(This, Style, Underline)

    -spec styleSetUnderline(This, Style, Underline) -> ok
                               when This :: wxStyledTextCtrl(), Style :: integer(), Underline :: boolean().

Set a style to be underlined or not.

# styleSetVisible(This, Style, Visible)

    -spec styleSetVisible(This, Style, Visible) -> ok
                             when This :: wxStyledTextCtrl(), Style :: integer(), Visible :: boolean().

Set a style to be visible or not.

# tab(This)

    -spec tab(This) -> ok when This :: wxStyledTextCtrl().

If selection is empty or all on one line replace the selection with a tab character.

If more than one line selected, indent the lines.

# targetFromSelection(This)

    -spec targetFromSelection(This) -> ok when This :: wxStyledTextCtrl().

Make the target range start and end be the same as the selection range start and end.

# textHeight(This, Line)

    -spec textHeight(This, Line) -> integer() when This :: wxStyledTextCtrl(), Line :: integer().

Retrieve the height of a particular line of text in pixels.

# textWidth(This, Style, Text)

    -spec textWidth(This, Style, Text) -> integer()
                       when This :: wxStyledTextCtrl(), Style :: integer(), Text :: unicode:chardata().

Measure the pixel width of some text in a particular style.

Does not handle tab or control characters.

# toggleCaretSticky(This)

    -spec toggleCaretSticky(This) -> ok when This :: wxStyledTextCtrl().

Switch between sticky and non-sticky: meant to be bound to a key.

# toggleFold(This, Line)

    -spec toggleFold(This, Line) -> ok when This :: wxStyledTextCtrl(), Line :: integer().

Switch a header line between expanded and contracted.

# undo(This)

    -spec undo(This) -> ok when This :: wxStyledTextCtrl().

Undo one action in the undo history.

# upperCase(This)

    -spec upperCase(This) -> ok when This :: wxStyledTextCtrl().

Transform the selection to upper case.

# usePopUp(This, PopUpMode)

    -spec usePopUp(This, PopUpMode) -> ok when This :: wxStyledTextCtrl(), PopUpMode :: integer().

Set whether a pop up menu is displayed automatically when the user presses the wrong mouse button on certain areas.

The input should be one of the ?wxSTC_POPUP_* constants.

Remark: When `wxContextMenuEvent` is used to create a custom popup menu, this function should be called with wxSTC_POPUP_NEVER. Otherwise the default menu will be shown instead of the custom one.

# userListShow(This, ListType, ItemList)

    -spec userListShow(This, ListType, ItemList) -> ok
                          when
                              This :: wxStyledTextCtrl(),
                              ListType :: integer(),
                              ItemList :: unicode:chardata().

Display a list of strings and send notification when user chooses one.

# vCHome(This)

    -spec vCHome(This) -> ok when This :: wxStyledTextCtrl().

Move caret to before first visible character on line.

If already there move to first character on line.

# vCHomeExtend(This)

    -spec vCHomeExtend(This) -> ok when This :: wxStyledTextCtrl().

Like VCHome but extending selection to new caret position.

# vCHomeRectExtend(This)

    -spec vCHomeRectExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret to before first visible character on line.

If already there move to first character on line. In either case, extend rectangular selection to new caret position.

# vCHomeWrap(This)

    -spec vCHomeWrap(This) -> ok when This :: wxStyledTextCtrl().

Like VCHome but when word-wrap is enabled goes first to start of display line VCHomeDisplay, then behaves like VCHome.

# vCHomeWrapExtend(This)

    -spec vCHomeWrapExtend(This) -> ok when This :: wxStyledTextCtrl().

Like VCHomeExtend but when word-wrap is enabled extends first to start of display line VCHomeDisplayExtend, then behaves like VCHomeExtend.

# visibleFromDocLine(This, DocLine)

    -spec visibleFromDocLine(This, DocLine) -> integer()
                                when This :: wxStyledTextCtrl(), DocLine :: integer().

Find the display line of a document line taking hidden lines into account.

# wordEndPosition(This, Pos, OnlyWordCharacters)

    -spec wordEndPosition(This, Pos, OnlyWordCharacters) -> integer()
                             when
                                 This :: wxStyledTextCtrl(),
                                 Pos :: integer(),
                                 OnlyWordCharacters :: boolean().

Get position of end of word.

# wordLeft(This)

    -spec wordLeft(This) -> ok when This :: wxStyledTextCtrl().

Move caret left one word.

# wordLeftEnd(This)

    -spec wordLeftEnd(This) -> ok when This :: wxStyledTextCtrl().

Move caret left one word, position cursor at end of word.

# wordLeftEndExtend(This)

    -spec wordLeftEndExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret left one word, position cursor at end of word, extending selection to new caret position.

# wordLeftExtend(This)

    -spec wordLeftExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret left one word extending selection to new caret position.

# wordPartLeft(This)

    -spec wordPartLeft(This) -> ok when This :: wxStyledTextCtrl().

Move to the previous change in capitalisation.

# wordPartLeftExtend(This)

    -spec wordPartLeftExtend(This) -> ok when This :: wxStyledTextCtrl().

Move to the previous change in capitalisation extending selection to new caret position.

# wordPartRight(This)

    -spec wordPartRight(This) -> ok when This :: wxStyledTextCtrl().

Move to the change next in capitalisation.

# wordPartRightExtend(This)

    -spec wordPartRightExtend(This) -> ok when This :: wxStyledTextCtrl().

Move to the next change in capitalisation extending selection to new caret position.

# wordRight(This)

    -spec wordRight(This) -> ok when This :: wxStyledTextCtrl().

Move caret right one word.

# wordRightEnd(This)

    -spec wordRightEnd(This) -> ok when This :: wxStyledTextCtrl().

Move caret right one word, position cursor at end of word.

# wordRightEndExtend(This)

    -spec wordRightEndExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret right one word, position cursor at end of word, extending selection to new caret position.

# wordRightExtend(This)

    -spec wordRightExtend(This) -> ok when This :: wxStyledTextCtrl().

Move caret right one word extending selection to new caret position.

# wordStartPosition(This, Pos, OnlyWordCharacters)

    -spec wordStartPosition(This, Pos, OnlyWordCharacters) -> integer()
                               when
                                   This :: wxStyledTextCtrl(),
                                   Pos :: integer(),
                                   OnlyWordCharacters :: boolean().

Get position of start of word.

# wrapCount(This, DocLine)

    -spec wrapCount(This, DocLine) -> integer() when This :: wxStyledTextCtrl(), DocLine :: integer().

The number of display lines needed to wrap a document line.

# zoomIn(This)

    -spec zoomIn(This) -> ok when This :: wxStyledTextCtrl().

Magnify the displayed text by increasing the sizes by 1 point.

# zoomOut(This)

    -spec zoomOut(This) -> ok when This :: wxStyledTextCtrl().

Make the displayed text smaller by decreasing the sizes by 1 point.